<?php

#################################################################################
#    PHP-RESIDENCE
#    Copyright (C) 2001-2005 by Marco Maria Francesco De Santis (marco@digitaldruid.net)
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
##################################################################################

$pag = "privilegi_utenti.php";
$titolo = "Privilegi utenti PHP-Residence";

include("./dati/dati_connessione.php");
include("./includes/funzioni_$PHPR_DB_TYPE.php");
$numconnessione = connetti_db($PHPR_DB_NAME,$PHPR_DB_HOST,$PHPR_DB_PORT,$PHPR_DB_USER,$PHPR_DB_PASS,$PHPR_LOAD_EXT);
include("./includes/funzioni.php");
include("./includes/funzioni_costi_agg.php");
$tableutenti = $PHPR_TAB_PRE."utenti";
$tableprivilegi = $PHPR_TAB_PRE."privilegi";
$tableregole = $PHPR_TAB_PRE."regole".$anno;
$tableanni = $PHPR_TAB_PRE."anni";
$tablenometariffe = $PHPR_TAB_PRE."ntariffe".$anno;
$tablecontratti = $PHPR_TAB_PRE."contratti";

$id_utente = controlla_login($numconnessione,$PHPR_TAB_PRE,$id_sessione,$nome_utente_phpr,$password_phpr,$anno);
if ($id_utente and $id_utente == 1) {


if ($tema[$id_utente] and $tema[$id_utente] != "base" and @is_dir("./includes/themes/".$tema[$id_utente])) include("./includes/themes/".$tema[$id_utente]."/head.php");
else include("./includes/head.php");


/*
STRUTTURA TABELLA PRIVILEGI

ANNUALI
regole1_consentite(text)	s-n			1 attivato-disattivato
				s-n-m-f,		2 avvisa periodi regola1: sempre - regole non selezionate - mai - non occupare non selezionati se regole1 attivate
				motivazione1#@^motivazione2#@^..

tariffe_consentite(text)	s-n,			attivato-disattivato
				numtariffa1,numariffa2,...

costi_agg_consentiti(text)	s-n,			attivato-disattivato
				numcosto1,numcosto2,...

contratti_consentiti(text)	s-n,			attivato-disattivato
				numcontr1,numcontr2,...

priv_ins_prenota(varchar20)	s-n			1 inserimento nuove prenotazioni si-no
				s-n			2 scelta assegnazione appartamento si-no
				s-n			3 scelta conferma si-no
				s-n			4 scelta sconto si-no
				s-n			5 scelta caparra si-no
				s-n			6 scelta costi agg. si-no
				s-n			7 scelta commento si-no
				s-n			8 scelta numero di persone
				s-n			9 inserimento anche in periodi passati si-no
				s-n			10 inserimento di più prenotazioni contemporaneamente si-no
				s-n			11 inserimento check-in: si-no

priv_mod_prenota(varchar35)	s-p-n			1 modifica prenotazioni si - solo proprie - no
				s-n			2 modifica data iniziale/finale si-no
				s-a-n			3 modifica assegnazione appartamento: si - solo spostamenti tra appartamenti già assegnati - no
				s-r-n			4 modifica tariffa: si con regola2 a scelta - si sempre con regola2 - no
				s-n			5 modifica numero di persone si-no
				s-n			6 modifica commento si-no
				s-n			7 modifica sconto si-no
				s-n			8 modifica caparra si-no
				s-n			9 modifica costi aggiuntivi si-no
				n			10 inutilizzato
				s-c-n			11 modifica pagato e conferma si - solo conferma - no
				s-n			12 modifica prenotazione già iniziate si-no
				XXX			13-15 numero di ore in cui si può modificare dopo l'inserimento, 000 per disattivare
				XXX			16-18 numero di ore in cui si può cancellare dopo l'inserimento, 000 per disattivare
				s-f-n			19 cancellazione prenotazioni: si - solo future - no
				s-n			20 cancellazione prenotazioni confermate: si - no
				s-n			21 modifica check-in: si - no

priv_ins_costi(varchar10)	s-n			1 inserimento spese si-no
				s-n			2 inserimento entrate si-no
				s-c-n			3 sottrarre le entrate dalle prenotazioni: si - chiedi - no
				u-c-n			4 immettere come perona che inserisce: il nome dell'utente - chiedere - nessuno

priv_vedi_tab(varchar30)	s-p-n			1 visione tabelle mesi: si - solo nomi proprie prenotazioni e appartamenti consentiti - no
				s-p-n			2 visione tabella con tutte le prenotazioni: si - solo proprie -no
				s-p-n			3 visione tabella entrate/uscite: si - solo proprie - no
				s-p-n			4 visione tabella periodi e costi: si - solo tariffe e costi consentiti - no
				s-p-n			5 visione tabella regole: si - solo consentite - no
				s-p-n			6 visione tabella appartamenti: si - solo associati a regole 1 o 2 consentite - no

GLOBALI (anno = 1)
priv_mod_pers(varchar15)	s-n			1 modifica delle proprie personalizzazioni si-no

priv_ins_clienti(varchar5)	s-n			1 inserimento nuovi clienti si-no
				s-p-n			2 modifica e cancella clienti: si - solo propri - no
				s-p-n			3 visione clienti e utilizzo in prenotazioni: si - solo propri - no

prefisso_clienti(text)	n-p-s,			non attivato - prefisso - suffisso
				prefisso		se attivato viene anteposto o messo dopo a tutti i propri clienti

priv_messaggi(varchar10)	s-n			vedere messaggi: si - no
				s-n			inviare messaggi: si - no

*/

$tabelle_lock = array("$tablepersonalizza","$tableutenti","$tableprivilegi");
if ($modifica_privilegi_anno and controlla_anno($modifica_privilegi_anno) == "SI") $tablenometariffe_mostra = $PHPR_TAB_PRE."ntariffe".$modifica_privilegi_anno;
else $tablenometariffe_mostra = $tablenometariffe;
$altre_tab_lock = array("$tableanni","$tablenometariffe_mostra");
$tabelle_lock = lock_tabelle($tabelle_lock,$altre_tab_lock);
$utente_privilegi = esegui_query("select * from $tableutenti where idutenti = '$id_utente_privilegi'");
$nome_utente_privilegi = risul_query($utente_privilegi,0,nome_utente);
$privilegi_globali = esegui_query("select * from $tableprivilegi where idutente = '$id_utente_privilegi' and anno = '1'");
$anni = esegui_query("select * from $tableanni order by idanni");
$num_anni = numlin_query($anni);
unset ($anno_esistente);
for ($num1 = 0 ; $num1 < $num_anni ; $num1++) {
$anno_mostra = risul_query($anni,$num1,idanni);
$anno_esistente[$anno_mostra] = "SI";
$privilegi_anno[$anno_mostra] = esegui_query("select * from $tableprivilegi where idutente = '$id_utente_privilegi' and anno = '$anno_mostra'");
} # fine for $num1


if ($modifica_privilegi_globali) {
$testo_prefisso_clienti = str_replace(",","",$testo_prefisso_clienti);
if ($tipo_prefisso_clienti and $tipo_prefisso_clienti != "n" and !$testo_prefisso_clienti) {
$modificare = "NO";
echo mex("Si deve inserire il <font color=\"red\">prefisso/suffisso</font> da utilizzare per i clienti dell'utente",$pag)." $nome_utente_privilegi.<br>";
} # fine if ($tipo_prefisso_clienti and $tipo_prefisso_clienti != "n" and !$prefisso_clienti)
if ($modificare != "NO") {
$priv_mod_pers = risul_query($privilegi_globali,0,priv_mod_pers);
$priv_ins_clienti = risul_query($privilegi_globali,0,priv_ins_clienti);
$prefisso_clienti = risul_query($privilegi_globali,0,prefisso_clienti);
$priv_messaggi = risul_query($privilegi_globali,0,priv_messaggi);
if (!$continua) {
$mostra_form_iniziale = "NO";
$dati_da_modificare = "";
if (substr($priv_mod_pers,0,1) != $modifica_pers) {
$dati_da_modificare .= "<input type=\"hidden\" name=\"modifica_pers\" value=\"$modifica_pers\">";
if ($modifica_pers == "s") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("potrà modificare le sue <b>personalizzazioni</b>",$pag).".<br>";
if ($modifica_pers == "n") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("non potrà più modificare le sue <b>personalizzazioni</b>",$pag).".<br>";
} # fine if (substr($priv_mod_pers,0,1) != $modifica_pers)
if (substr($priv_ins_clienti,0,1) != $inserimento_clienti) {
$dati_da_modificare .= "<input type=\"hidden\" name=\"inserimento_clienti\" value=\"$inserimento_clienti\">";
if ($inserimento_clienti == "s") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("potrà inserire <b>nuovi clienti</b>",$pag).".<br>";
if ($inserimento_clienti == "n") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("non potrà più inserire <b>nuovi clienti</b>",$pag).".<br>";
} # fine if (substr($priv_ins_clienti,0,1) != $inserimento_clienti)
if (substr($priv_ins_clienti,1,1) != $modifica_clienti) {
$dati_da_modificare .= "<input type=\"hidden\" name=\"modifica_clienti\" value=\"$modifica_clienti\">";
if ($modifica_clienti == "s") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("potrà modificare <b>tutti i clienti</b>",$pag).".<br>";
if ($modifica_clienti == "p") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("potrà modificare solo i <b>propri clienti</b>",$pag).".<br>";
if ($modifica_clienti == "n") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("non potrà più modificare <b>nessun cliente</b>",$pag).".<br>";
} # fine if (substr($priv_ins_clienti,1,1) != $modifica_clienti)
if (substr($priv_ins_clienti,2,1) != $vedi_clienti) {
$dati_da_modificare .= "<input type=\"hidden\" name=\"vedi_clienti\" value=\"$vedi_clienti\">";
if ($vedi_clienti == "n") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("non potrà vedere <b>nessun cliente</b>",$pag).".<br>";
if ($vedi_clienti == "p") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("potrà vedere solo i <b>propri clienti</b>",$pag).".<br>";
if ($vedi_clienti == "s") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("potrà vedere <b>tutti i clienti</b>",$pag).".<br>";
} # fine if (substr($priv_ins_clienti,2,1) != $vedi_clienti)
$prefisso_clienti = explode(",",$prefisso_clienti);
$testo_prefisso_clienti = stripslashes($testo_prefisso_clienti);
if (substr($prefisso_clienti[0],0,1) != $tipo_prefisso_clienti) {
$dati_da_modificare .= "<input type=\"hidden\" name=\"tipo_prefisso_clienti\" value=\"$tipo_prefisso_clienti\">
<input type=\"hidden\" name=\"testo_prefisso_clienti\" value=\"$testo_prefisso_clienti\">";
if ($tipo_prefisso_clienti == "p") echo mex("Verrà aggiunto un <b>prefisso</b> a tutti i cognomi dei clienti inseriti dall'utente",$pag)." <i>$nome_utente_privilegi</i>.<br>";
if ($tipo_prefisso_clienti == "s") echo mex("Verrà aggiunto un <b>suffisso</b> a tutti i cognomi dei clienti inseriti dall'utente",$pag)." <i>$nome_utente_privilegi</i>.<br>";
if ($tipo_prefisso_clienti == "n") echo mex("Non verrà aggiunto più alcun <b>prefisso/suffisso</b> ai cognomi dei clienti inseriti dall'utente",$pag)." <i>$nome_utente_privilegi</i>.<br>";
} # fine if (substr($prefisso_clienti[0],0,1) != $tipo_prefisso_clienti)
if ($prefisso_clienti[1] != $testo_prefisso_clienti and $tipo_prefisso_clienti != "n") {
if (substr($prefisso_clienti[0],0,1) == $tipo_prefisso_clienti) $dati_da_modificare .= "<input type=\"hidden\" name=\"testo_prefisso_clienti\" value=\"$testo_prefisso_clienti\">";
echo mex("Il nuovo testo del <b>prefisso/suffisso</b> dei cognomi dei clienti inseriti dall'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("sarà",$pag).": $testo_prefisso_clienti.<br>";
} # fine if ($prefisso_clienti[1] != $testo_prefisso_clienti and $tipo_prefisso_clienti != "n")
if (substr($priv_messaggi,0,1) != $vedi_messaggi) {
$dati_da_modificare .= "<input type=\"hidden\" name=\"vedi_messaggi\" value=\"$vedi_messaggi\">";
if ($vedi_messaggi == "n") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("non potrà vedere <b>i messaggi ricevuti</b>",$pag).".<br>";
if ($vedi_messaggi == "s") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("potrà vedere <b>i messaggi ricevuti</b>",$pag).".<br>";
} # fine if (substr($priv_messaggi,0,1) != $vedi_messaggi)
if (substr($priv_messaggi,1,1) != $ins_messaggi) {
$dati_da_modificare .= "<input type=\"hidden\" name=\"ins_messaggi\" value=\"$ins_messaggi\">";
if ($ins_messaggi == "n") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("non potrà <b>inviare messaggi</b>",$pag).".<br>";
if ($ins_messaggi == "s") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("potrà <b>inviare messaggi</b>",$pag).".<br>";
} # fine if (substr($priv_messaggi,1,1) != $ins_messaggi)
echo "<form accept-charset=\"utf-8\" method=\"post\" action=\"privilegi_utenti.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"id_utente_privilegi\" value=\"$id_utente_privilegi\">
<input type=\"hidden\" name=\"modifica_privilegi_globali\" value=\"SI\">
$dati_da_modificare
<input class=\"sbutton\" type=\"submit\" name=\"continua\" value=\"".mex("Continua",$pag)."\">
</form>";
} # fine if (!$continua)
else {
if ($modifica_pers == "s" or $modifica_pers == "n") esegui_query("update $tableprivilegi set priv_mod_pers = '$modifica_pers' where idutente = '$id_utente_privilegi' and anno = '1'");
$nuovi_priv_ins_clienti = $priv_ins_clienti;
if ($inserimento_clienti == "s" or $inserimento_clienti == "n") $nuovi_priv_ins_clienti = $inserimento_clienti.substr($nuovi_priv_ins_clienti,1);
if ($modifica_clienti == "s" or $modifica_clienti == "p" or $modifica_clienti == "n") $nuovi_priv_ins_clienti = substr($nuovi_priv_ins_clienti,0,1).$modifica_clienti.substr($nuovi_priv_ins_clienti,2);
if ($vedi_clienti == "s" or $vedi_clienti == "p" or $vedi_clienti == "n") $nuovi_priv_ins_clienti = substr($nuovi_priv_ins_clienti,0,2).$vedi_clienti.substr($nuovi_priv_ins_clienti,3);
if ($nuovi_priv_ins_clienti != $priv_ins_clienti) esegui_query("update $tableprivilegi set priv_ins_clienti = '$nuovi_priv_ins_clienti' where idutente = '$id_utente_privilegi' and anno = '1'");
$nuovo_prefisso_clienti = $prefisso_clienti;
if ($tipo_prefisso_clienti == "p" or $tipo_prefisso_clienti == "s" or $tipo_prefisso_clienti == "n") $nuovo_prefisso_clienti = $tipo_prefisso_clienti.substr($nuovo_prefisso_clienti,1);
if ($testo_prefisso_clienti) $nuovo_prefisso_clienti = substr($nuovo_prefisso_clienti,0,2).$testo_prefisso_clienti;
if ($tipo_prefisso_clienti == "n") $nuovo_prefisso_clienti = substr($nuovo_prefisso_clienti,0,2);
if ($nuovo_prefisso_clienti != $prefisso_clienti) esegui_query("update $tableprivilegi set prefisso_clienti = '$nuovo_prefisso_clienti' where idutente = '$id_utente_privilegi' and anno = '1'");
$nuovi_priv_messaggi = $priv_messaggi;
if ($vedi_messaggi == "s" or $vedi_messaggi == "n") $nuovi_priv_messaggi = $vedi_messaggi.substr($nuovi_priv_messaggi,1);
if ($ins_messaggi == "s" or $ins_messaggi == "n") $nuovi_priv_messaggi = substr($nuovi_priv_messaggi,0,1).$ins_messaggi;
if ($nuovi_priv_messaggi != $priv_messaggi) esegui_query("update $tableprivilegi set priv_messaggi = '$nuovi_priv_messaggi' where idutente = '$id_utente_privilegi' and anno = '1'");
$privilegi_globali = esegui_query("select * from $tableprivilegi where idutente = '$id_utente_privilegi' and anno = '1'");
} # fine else if (!$continua)
} # fine if ($modificare != "NO")
else $mostra_form_iniziale = "NO";
} # fine if ($modifica_privilegi_globali)


if ($modifica_privilegi_anno) {
$anno_modifica = $modifica_privilegi_anno;
if (controlla_anno($anno_modifica) != "SI" or $anno_esistente[$anno_modifica] != "SI" or numlin_query($privilegi_anno[$anno_modifica]) == 0) {
$modificare = "NO";
echo mex("Anno <font color=\"red\">errato</font>",$pag).".<br>";
} # fine if (controlla_anno($modifica_privilegi_anno) != "SI" or...
if (${"modp_attiva_ore_mod".$anno_modifica} == "s") {
if (strlen(${"modp_num_ore_mod".$anno_modifica}) > 3 or controlla_num_pos(${"modp_num_ore_mod".$anno_modifica}) != "SI" or ${"modp_num_ore_mod".$anno_modifica} == 0) {
$modificare = "NO";
echo mex("Ore in cui si può modificare la prenotazione <font color=\"red\">errate</font>",$pag).".<br>";
} # fine if (strlen($modp_num_ore_mod) > 3 or...)
} # fine if ($modp_attiva_ore_mod == "s")
if (${"modp_attiva_ore_canc".$anno_modifica} == "s") {
if (strlen(${"modp_num_ore_canc".$anno_modifica}) > 3 or controlla_num_pos(${"modp_num_ore_canc".$anno_modifica}) != "SI" or ${"modp_num_ore_canc".$anno_modifica} == 0) {
$modificare = "NO";
echo mex("Ore in cui si può cancellare la prenotazione <font color=\"red\">errate</font>",$pag).".<br>";
} # fine if (strlen($modp_num_ore_canc) > 3 or...
} # fine if ($modp_attiva_ore_mod == "s")
if ($modificare != "NO") {
$regole1_consentite = risul_query($privilegi_anno[$anno_modifica],0,regole1_consentite);
$tariffe_consentite = risul_query($privilegi_anno[$anno_modifica],0,tariffe_consentite);
$costi_agg_consentiti = risul_query($privilegi_anno[$anno_modifica],0,costi_agg_consentiti);
$contratti_consentiti = risul_query($privilegi_anno[$anno_modifica],0,contratti_consentiti);
$priv_ins_prenota = risul_query($privilegi_anno[$anno_modifica],0,priv_ins_prenota);
$priv_mod_prenota = risul_query($privilegi_anno[$anno_modifica],0,priv_mod_prenota);
$priv_ins_costi = risul_query($privilegi_anno[$anno_modifica],0,priv_ins_costi);
$priv_vedi_tab = risul_query($privilegi_anno[$anno_modifica],0,priv_vedi_tab);
if (!$continua) {
$mostra_form_iniziale = "NO";
$dati_da_modificare = "";
if (substr($regole1_consentite,0,1) != ${"usa_regola1".$anno_modifica}) {
$dati_da_modificare .= "<input type=\"hidden\" name=\"usa_regola1\" value=\"".${"usa_regola1".$anno_modifica}."\">";
if (${"usa_regola1".$anno_modifica} == "n") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("potrà inserire le sue prenotazioni in <b>tutti i periodi</b> del",$pag)." $anno_modifica.<br>";
if (${"usa_regola1".$anno_modifica} == "s") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("potrà inserire le sue prenotazioni solo nei <b>periodi della regola 1</b> selezionati nel",$pag)." $anno_modifica.<br>";
} # fine if ($regole1_consentite[0] != ${"usa_regola1".$anno_modifica})
$nuove_motivazioni_sel = "";
for ($num1 = 0 ; $num1 < ${"num_motivazioni".$anno_modifica} ; $num1++) if (${"var_mot_".$anno_modifica.$num1}) $nuove_motivazioni_sel .= "#@^".${"var_mot_".$anno_modifica.$num1};
if ($nuove_motivazioni_sel) $nuove_motivazioni_sel = substr($nuove_motivazioni_sel,3);
if ($nuove_motivazioni_sel != substr($regole1_consentite,3)) {
$dati_da_modificare .= "<input type=\"hidden\" name=\"nuove_motivazioni_reg1\" value=\"$nuove_motivazioni_sel\">
<input type=\"hidden\" name=\"cambia_motivazioni_reg1\" value=\"SI\">";
echo mex("Verranno cambiate le motivazioni selezionate della <b>regola 1</b> per l'anno",$pag)." $anno_modifica.<br>";
} # fine if ($nuove_motivazioni_sel != substr($regole1_consentite,1)
if (substr($regole1_consentite,1,1) != ${"avvisa_regola1".$anno_modifica}) {
$dati_da_modificare .= "<input type=\"hidden\" name=\"avvisa_regola1\" value=\"".${"avvisa_regola1".$anno_modifica}."\">";
if (${"avvisa_regola1".$anno_modifica} == "s") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("verrà avvisato <b>sempre</b> quando inserirà prenotazioni nei periodi delle regole 1 del",$pag)." $anno_modifica.<br>";
if (${"avvisa_regola1".$anno_modifica} == "n") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("verrà avvisato solo quando inserirà prenotazioni nei periodi delle regole 1 <b>non selezionate</b> del",$pag)." $anno_modifica.<br>";
if (${"avvisa_regola1".$anno_modifica} == "m") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("non verrà avvisato <b>mai</b> quando inserirà prenotazioni nei periodi delle regole 1 del",$pag)." $anno_modifica.<br>";
if (${"avvisa_regola1".$anno_modifica} == "f") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("non potrà, per liberare appartamenti, <b>spostare</b> prenotazioni nei periodi delle regole 1 non selezionate del",$pag)." $anno_modifica ".mex("se non vi può inserire prenotazioni",$pag).".<br>";
} # fine if (substr($regole1_consentite,1,1) != ${"avvisa_regola1".$anno_modifica})
if (substr($tariffe_consentite,0,1) != ${"seleziona_tariffe".$anno_modifica}) {
$dati_da_modificare .= "<input type=\"hidden\" name=\"seleziona_tariffe\" value=\"".${"seleziona_tariffe".$anno_modifica}."\">";
if (${"seleziona_tariffe".$anno_modifica} == "n") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("potrà utilizzare <b>tutte le tariffe</b> del",$pag)." $anno_modifica.<br>";
if (${"seleziona_tariffe".$anno_modifica} == "s") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("potrà utilizzare solo le <b>tariffe selezionate</b> del",$pag)." $anno_modifica.<br>";
} # fine if (substr($tariffe_consentite,0,1) != ${"seleziona_tariffe".$anno_modifica})
$nuove_tariffe_sel = "";
for ($num1 = 1 ; $num1 <= $numero_tariffe ; $num1++) if (${"tariffa_sel".$anno_modifica.$num1}) $nuove_tariffe_sel .= ",".$num1;
if ($nuove_tariffe_sel) $nuove_tariffe_sel = substr($nuove_tariffe_sel,1);
if ($nuove_tariffe_sel != substr($tariffe_consentite,2)) {
$dati_da_modificare .= "<input type=\"hidden\" name=\"nuove_tariffe_sel\" value=\"$nuove_tariffe_sel\">
<input type=\"hidden\" name=\"cambia_tariffe_sel\" value=\"SI\">";
echo mex("Verranno cambiate le <b>tariffe selezionate</b> da utilizzare per l'anno",$pag)." $anno_modifica.<br>";
} # fine if ($nuove_tariffe_sel != substr($tariffe_consentite,2))
if (substr($costi_agg_consentiti,0,1) != ${"seleziona_costi_agg".$anno_modifica}) {
$dati_da_modificare .= "<input type=\"hidden\" name=\"seleziona_costi_agg\" value=\"".${"seleziona_costi_agg".$anno_modifica}."\">";
if (${"seleziona_costi_agg".$anno_modifica} == "n") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("potrà utilizzare <b>tutti i costi aggiuntivi</b> del",$pag)." $anno_modifica.<br>";
if (${"seleziona_costi_agg".$anno_modifica} == "s") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("potrà utilizzare solo i <b>costi aggiuntivi selezionati</b> del",$pag)." $anno_modifica.<br>";
} # fine if (substr($costi_agg_consentiti,0,1) != ${"seleziona_costi_agg".$anno_modifica})
$nuovi_costi_agg_sel = "";
$dati_ca = dati_costi_agg_ntariffe($tablenometariffe_mostra,"NO");
for ($num1 = 0 ; $num1 < $dati_ca[num] ; $num1++) {
$idntariffe = $dati_ca[$num1][id];
if (${"costo_agg_sel".$anno_modifica.$idntariffe}) $nuovi_costi_agg_sel .= ",".$idntariffe;
} # fine for $num1
if ($nuovi_costi_agg_sel) $nuovi_costi_agg_sel = substr($nuovi_costi_agg_sel,1);
if ($nuovi_costi_agg_sel != substr($costi_agg_consentiti,2)) {
$dati_da_modificare .= "<input type=\"hidden\" name=\"nuovi_costi_agg_sel\" value=\"$nuovi_costi_agg_sel\">
<input type=\"hidden\" name=\"cambia_costi_agg_sel\" value=\"SI\">";
echo mex("Verranno cambiati i <b>costi aggiuntivi</b> da utilizzare per l'anno",$pag)." $anno_modifica.<br>";
} # fine if ($nuovi_costi_agg_sel != substr($costi_agg_consentiti,2))
if (substr($contratti_consentiti,0,1) != ${"seleziona_contratti".$anno_modifica}) {
$dati_da_modificare .= "<input type=\"hidden\" name=\"seleziona_contratti\" value=\"".${"seleziona_contratti".$anno_modifica}."\">";
if (${"seleziona_contratti".$anno_modifica} == "n") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("potrà visualizzare <b>tutti i contratti</b> del",$pag)." $anno_modifica.<br>";
if (${"seleziona_contratti".$anno_modifica} == "s") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("potrà visualizzare solo i <b>contratti selezionati</b> del",$pag)." $anno_modifica.<br>";
} # fine if (substr($contratti_consentiti,0,1) != ${"seleziona_contratti".$anno_modifica})
$nuovi_contratti_sel = "";
$max_contr = esegui_query("select max(numero) from $tablecontratti where tipo $LIKE 'contr%'");
$max_contr = risul_query($max_contr,0,0);
for ($num1 = 1 ; $num1 <= $max_contr ; $num1++) if (${"contratto_sel".$anno_modifica.$num1}) $nuovi_contratti_sel .= ",".$num1;
if ($nuovi_contratti_sel) $nuovi_contratti_sel = substr($nuovi_contratti_sel,1);
if ($nuovi_contratti_sel != substr($contratti_consentiti,2)) {
$dati_da_modificare .= "<input type=\"hidden\" name=\"nuovi_contratti_sel\" value=\"$nuovi_contratti_sel\">
<input type=\"hidden\" name=\"cambia_contratti_sel\" value=\"SI\">";
echo mex("Verranno cambiati i <b>contratti</b> visualizzabili per l'anno",$pag)." $anno_modifica.<br>";
} # fine if ($nuovi_contratti_sel != substr($contratti_consentiti,2))
if (substr($priv_ins_prenota,0,1) != ${"inserisci_prenotazioni".$anno_modifica}) {
$dati_da_modificare .= "<input type=\"hidden\" name=\"inserisci_prenotazioni\" value=\"".${"inserisci_prenotazioni".$anno_modifica}."\">";
if (${"inserisci_prenotazioni".$anno_modifica} == "n") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("non potrà inserire <b>nuove prenotazioni</b> nel",$pag)." $anno_modifica.<br>";
if (${"inserisci_prenotazioni".$anno_modifica} == "s") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("potrà inserire <b>nuove prenotazioni</b> nel",$pag)." $anno_modifica.<br>";
} # fine if (substr($priv_ins_prenota,,1) != ${"inserisci_prenotazioni".$anno_modifica})
if (substr($priv_ins_prenota,1,1) != ${"ins_assegnazione_app".$anno_modifica}) {
$dati_da_modificare .= "<input type=\"hidden\" name=\"ins_assegnazione_app\" value=\"".${"ins_assegnazione_app".$anno_modifica}."\">";
if (${"ins_assegnazione_app".$anno_modifica} == "n") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("non potrà cambiare <b>l'assegnazione degli appartamenti</b> quando inserisce nuove prenotazioni nel",$pag)." $anno_modifica.<br>";
if (${"ins_assegnazione_app".$anno_modifica} == "s") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("potrà cambiare <b>l'assegnazione degli appartamenti</b> quando inserisce nuove prenotazioni nel",$pag)." $anno_modifica.<br>";
} # fine if (substr($priv_ins_prenota,1,1) != ${"ins_assegnazione_app".$anno_modifica})
if (substr($priv_ins_prenota,2,1) != ${"ins_conferma_prenota".$anno_modifica}) {
$dati_da_modificare .= "<input type=\"hidden\" name=\"ins_conferma_prenota\" value=\"".${"ins_conferma_prenota".$anno_modifica}."\">";
if (${"ins_conferma_prenota".$anno_modifica} == "n") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("non potrà <b>confermare</b> le nuove prenotazioni inserite nel",$pag)." $anno_modifica.<br>";
if (${"ins_conferma_prenota".$anno_modifica} == "s") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("potrà <b>confermare</b> le nuove prenotazioni inserite nel",$pag)." $anno_modifica.<br>";
} # fine if (substr($priv_ins_prenota,2,1) != ${"ins_conferma_prenota".$anno_modifica})
if (substr($priv_ins_prenota,3,1) != ${"ins_sconto".$anno_modifica}) {
$dati_da_modificare .= "<input type=\"hidden\" name=\"ins_sconto\" value=\"".${"ins_sconto".$anno_modifica}."\">";
if (${"ins_sconto".$anno_modifica} == "n") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("non potrà inserire uno <b>sconto</b> quando inserisce nuove prenotazioni nel",$pag)." $anno_modifica.<br>";
if (${"ins_sconto".$anno_modifica} == "s") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("potrà inserire uno <b>sconto</b> quando inserisce nuove prenotazioni nel",$pag)." $anno_modifica.<br>";
} # fine if (substr($priv_ins_prenota,3,1) != ${"ins_sconto".$anno_modifica})
if (substr($priv_ins_prenota,4,1) != ${"ins_caparra".$anno_modifica}) {
$dati_da_modificare .= "<input type=\"hidden\" name=\"ins_caparra\" value=\"".${"ins_caparra".$anno_modifica}."\">";
if (${"ins_caparra".$anno_modifica} == "n") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("non potrà inserire la <b>caparra</b> quando inserisce nuove prenotazioni nel",$pag)." $anno_modifica.<br>";
if (${"ins_caparra".$anno_modifica} == "s") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("potrà inserire la <b>caparra</b> quando inserisce nuove prenotazioni nel",$pag)." $anno_modifica.<br>";
} # fine if (substr($priv_ins_prenota,4,1) != ${"ins_caparra".$anno_modifica})
if (substr($priv_ins_prenota,10,1) != ${"ins_checkin".$anno_modifica}) {
$dati_da_modificare .= "<input type=\"hidden\" name=\"ins_checkin\" value=\"".${"ins_checkin".$anno_modifica}."\">";
if (${"ins_checkin".$anno_modifica} == "n") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("non potrà inserire l'<b>orario di entrata</b> quando inserisce nuove prenotazioni nel",$pag)." $anno_modifica.<br>";
if (${"ins_checkin".$anno_modifica} == "s") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("potrà inserire la l'<b>orario di entrata</b> quando inserisce nuove prenotazioni nel",$pag)." $anno_modifica.<br>";
} # fine if (substr($priv_ins_prenota,10,1) != ${"ins_checkin".$anno_modifica})
if (substr($priv_ins_prenota,5,1) != ${"ins_costi_agg_prenota".$anno_modifica}) {
$dati_da_modificare .= "<input type=\"hidden\" name=\"ins_costi_agg_prenota\" value=\"".${"ins_costi_agg_prenota".$anno_modifica}."\">";
if (${"ins_costi_agg_prenota".$anno_modifica} == "n") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("non potrà inserire dei <b>costi aggiuntivi</b> quando inserisce nuove prenotazioni nel",$pag)." $anno_modifica.<br>";
if (${"ins_costi_agg_prenota".$anno_modifica} == "s") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("potrà inserire dei <b>costi aggiuntivi</b> quando inserisce nuove prenotazioni nel",$pag)." $anno_modifica.<br>";
} # fine if (substr($priv_ins_prenota,5,1) != ${"ins_costi_agg_prenota".$anno_modifica})
if (substr($priv_ins_prenota,6,1) != ${"ins_commento".$anno_modifica}) {
$dati_da_modificare .= "<input type=\"hidden\" name=\"ins_commento\" value=\"".${"ins_commento".$anno_modifica}."\">";
if (${"ins_commento".$anno_modifica} == "n") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("non potrà inserire dei <b>commenti</b> quando inserisce nuove prenotazioni nel",$pag)." $anno_modifica.<br>";
if (${"ins_commento".$anno_modifica} == "s") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("potrà inserire dei <b>commenti</b> quando inserisce nuove prenotazioni nel",$pag)." $anno_modifica.<br>";
} # fine if (substr($priv_ins_prenota,6,1) != ${"ins_commento".$anno_modifica})
if (substr($priv_ins_prenota,7,1) != ${"ins_num_persone".$anno_modifica}) {
$dati_da_modificare .= "<input type=\"hidden\" name=\"ins_num_persone\" value=\"".${"ins_num_persone".$anno_modifica}."\">";
if (${"ins_num_persone".$anno_modifica} == "n") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("non potrà inserire il <b>numero delle persone</b> quando inserisce nuove prenotazioni nel",$pag)." $anno_modifica.<br>";
if (${"ins_num_persone".$anno_modifica} == "s") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("potrà inserire il <b>numero delle persone</b> quando inserisce nuove prenotazioni nel",$pag)." $anno_modifica.<br>";
} # fine if (substr($priv_ins_prenota,7,1) != ${"ins_num_persone".$anno_modifica})
if (substr($priv_ins_prenota,8,1) != ${"ins_passato".$anno_modifica}) {
$dati_da_modificare .= "<input type=\"hidden\" name=\"ins_passato\" value=\"".${"ins_passato".$anno_modifica}."\">";
if (${"ins_passato".$anno_modifica} == "n") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("non potrà inserire nuove prenotazioni in <b>periodi già iniziati</b> nel",$pag)." $anno_modifica.<br>";
if (${"ins_passato".$anno_modifica} == "s") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("potrà inserire nuove prenotazioni in <b>periodi già iniziati</b> nel",$pag)." $anno_modifica.<br>";
} # fine if (substr($priv_ins_prenota,8,1) != ${"ins_passato".$anno_modifica})
if (substr($priv_ins_prenota,9,1) != ${"ins_multiple".$anno_modifica}) {
$dati_da_modificare .= "<input type=\"hidden\" name=\"ins_multiple\" value=\"".${"ins_multiple".$anno_modifica}."\">";
if (${"ins_multiple".$anno_modifica} == "n") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("non potrà inserire <b>più prenotazioni contemporaneamente</b> nel",$pag)." $anno_modifica.<br>";
if (${"ins_multiple".$anno_modifica} == "s") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("potrà inserire <b>più prenotazioni contemporaneamente</b> nel",$pag)." $anno_modifica.<br>";
} # fine if (substr($priv_ins_prenota,9,1) != ${"ins_multiple".$anno_modifica})
if (substr($priv_mod_prenota,0,1) != ${"modp_prenota".$anno_modifica}) {
$dati_da_modificare .= "<input type=\"hidden\" name=\"modp_prenota\" value=\"".${"modp_prenota".$anno_modifica}."\">";
if (${"modp_prenota".$anno_modifica} == "n") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("non potrà modificare <b>nessuna prenotazione</b> nel",$pag)." $anno_modifica.<br>";
if (${"modp_prenota".$anno_modifica} == "p") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("potrà modificare solo le <b>sue prenotazioni</b> nel",$pag)." $anno_modifica.<br>";
if (${"modp_prenota".$anno_modifica} == "s") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("potrà modificare <b>tutte le prenotazioni</b> nel",$pag)." $anno_modifica.<br>";
} # fine if (substr($priv_mod_prenota,0,1) != ${"modp_prenota".$anno_modifica})
if (substr($priv_mod_prenota,1,1) != ${"modp_date_prenota".$anno_modifica}) {
$dati_da_modificare .= "<input type=\"hidden\" name=\"modp_date_prenota\" value=\"".${"modp_date_prenota".$anno_modifica}."\">";
if (${"modp_date_prenota".$anno_modifica} == "n") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("non potrà modificare la <b>data iniziale o finale</b> delle prenotazioni nel",$pag)." $anno_modifica.<br>";
if (${"modp_date_prenota".$anno_modifica} == "s") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("potrà modificare la <b>data iniziale o finale</b> delle prenotazioni nel",$pag)." $anno_modifica.<br>";
} # fine if (substr($priv_mod_prenota,1,1) != ${"modp_date_prenota".$anno_modifica})
if (substr($priv_mod_prenota,2,1) != ${"modp_app_prenota".$anno_modifica}) {
$dati_da_modificare .= "<input type=\"hidden\" name=\"modp_app_prenota\" value=\"".${"modp_app_prenota".$anno_modifica}."\">";
if (${"modp_app_prenota".$anno_modifica} == "n") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("non potrà modificare l'assegnazione degli <b>appartamenti</b> delle prenotazioni nel",$pag)." $anno_modifica.<br>";
if (${"modp_app_prenota".$anno_modifica} == "a") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("potrà scegliere di modificare <b>l'appartamento</b> solo tra quelli già assegnati per le prenotazioni del",$pag)." $anno_modifica.<br>";
if (${"modp_app_prenota".$anno_modifica} == "s") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("potrà modificare l'assegnazione degli <b>appartamenti</b> delle prenotazioni nel",$pag)." $anno_modifica.<br>";
} # fine if (substr($priv_mod_prenota,2,1) != ${"modp_app_prenota".$anno_modifica})
if (substr($priv_mod_prenota,3,1) != ${"modp_tariffa".$anno_modifica}) {
$dati_da_modificare .= "<input type=\"hidden\" name=\"modp_tariffa\" value=\"".${"modp_tariffa".$anno_modifica}."\">";
if (${"modp_tariffa".$anno_modifica} == "n") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("non potrà modificare la <b>tariffa</b> delle prenotazioni nel",$pag)." $anno_modifica.<br>";
if (${"modp_tariffa".$anno_modifica} == "r") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("potrà modificare la <b>tariffa</b> delle prenotazioni, ma sempre associandola agli appartamenti della regola 2, nel",$pag)." $anno_modifica.<br>";
if (${"modp_tariffa".$anno_modifica} == "s") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("potrà modificare la <b>tariffa</b> delle prenotazioni, scegliendo se utilizzare la regola 2, nel",$pag)." $anno_modifica.<br>";
} # fine if (substr($priv_mod_prenota,3,1) != ${"modp_tariffa".$anno_modifica})
if (substr($priv_mod_prenota,4,1) != ${"modp_num_persone".$anno_modifica}) {
$dati_da_modificare .= "<input type=\"hidden\" name=\"modp_num_persone\" value=\"".${"modp_num_persone".$anno_modifica}."\">";
if (${"modp_num_persone".$anno_modifica} == "n") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("non potrà modificare il <b>numero delle persone</b> delle prenotazioni nel",$pag)." $anno_modifica.<br>";
if (${"modp_num_persone".$anno_modifica} == "s") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("potrà modificare il <b>numero delle persone</b> delle prenotazioni nel",$pag)." $anno_modifica.<br>";
} # fine if (substr($priv_mod_prenota,4,1) != ${"modp_num_persone".$anno_modifica})
if (substr($priv_mod_prenota,5,1) != ${"modp_commento".$anno_modifica}) {
$dati_da_modificare .= "<input type=\"hidden\" name=\"modp_commento\" value=\"".${"modp_commento".$anno_modifica}."\">";
if (${"modp_commento".$anno_modifica} == "n") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("non potrà modificare il <b>commento</b> delle prenotazioni nel",$pag)." $anno_modifica.<br>";
if (${"modp_commento".$anno_modifica} == "s") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("potrà modificare il <b>commento</b> delle prenotazioni nel",$pag)." $anno_modifica.<br>";
} # fine if (substr($priv_mod_prenota,5,1) != ${"modp_commento".$anno_modifica})
if (substr($priv_mod_prenota,20,1) != ${"modp_checkin".$anno_modifica}) {
$dati_da_modificare .= "<input type=\"hidden\" name=\"modp_checkin\" value=\"".${"modp_checkin".$anno_modifica}."\">";
if (${"modp_checkin".$anno_modifica} == "n") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("non potrà modificare l'orario di <b>entrata ed uscita</b> delle prenotazioni nel",$pag)." $anno_modifica.<br>";
if (${"modp_checkin".$anno_modifica} == "s") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("potrà modificare l'orario di <b>entrata ed uscita</b> delle prenotazioni nel",$pag)." $anno_modifica.<br>";
} # fine if (substr($priv_mod_prenota,20,1) != ${"".$anno_modifica})
if (substr($priv_mod_prenota,6,1) != ${"modp_sconto".$anno_modifica}) {
$dati_da_modificare .= "<input type=\"hidden\" name=\"modp_sconto\" value=\"".${"modp_sconto".$anno_modifica}."\">";
if (${"modp_sconto".$anno_modifica} == "n") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("non potrà modificare lo <b>sconto</b> delle prenotazioni nel",$pag)." $anno_modifica.<br>";
if (${"modp_sconto".$anno_modifica} == "s") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("potrà modificare lo <b>sconto</b> delle prenotazioni nel",$pag)." $anno_modifica.<br>";
} # fine if (substr($priv_mod_prenota,6,1) != ${"modp_sconto".$anno_modifica})
if (substr($priv_mod_prenota,7,1) != ${"modp_caparra".$anno_modifica}) {
$dati_da_modificare .= "<input type=\"hidden\" name=\"modp_caparra\" value=\"".${"modp_caparra".$anno_modifica}."\">";
if (${"modp_caparra".$anno_modifica} == "n") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("non potrà modificare la <b>capara</b> delle prenotazioni nel",$pag)." $anno_modifica.<br>";
if (${"modp_caparra".$anno_modifica} == "s") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("potrà modificare la <b>capara</b> delle prenotazioni nel",$pag)." $anno_modifica.<br>";
} # fine if (substr($priv_mod_prenota,7,1) != ${"modp_caparra".$anno_modifica})
if (substr($priv_mod_prenota,8,1) != ${"modp_costi_agg".$anno_modifica}) {
$dati_da_modificare .= "<input type=\"hidden\" name=\"modp_costi_agg\" value=\"".${"modp_costi_agg".$anno_modifica}."\">";
if (${"modp_costi_agg".$anno_modifica} == "n") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("non potrà modificare i <b>costi aggiuntivi</b> delle prenotazioni nel",$pag)." $anno_modifica.<br>";
if (${"modp_costi_agg".$anno_modifica} == "s") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("potrà modificare i <b>costi aggiuntivi</b> delle prenotazioni nel",$pag)." $anno_modifica.<br>";
} # fine if (substr($priv_mod_prenota,8,1) != ${"modp_costi_agg".$anno_modifica})
#if (substr($priv_mod_prenota,9,1) != ${"modp_conferma".$anno_modifica}) {
#$dati_da_modificare .= "<input type=\"hidden\" name=\"modp_conferma\" value=\"".${"modp_conferma".$anno_modifica}."\">";
#if (${"modp_conferma".$anno_modifica} == "n") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("non potrà modificare la <b>conferma</b> delle prenotazioni nel",$pag)." $anno_modifica.<br>";
#if (${"modp_conferma".$anno_modifica} == "s") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("potrà modificare la <b>conferma</b> delle prenotazioni nel",$pag)." $anno_modifica.<br>";
#} # fine if (substr($priv_mod_prenota,9,1) != ${"modp_conferma".$anno_modifica})
if (substr($priv_mod_prenota,10,1) != ${"modp_pagato".$anno_modifica}) {
$dati_da_modificare .= "<input type=\"hidden\" name=\"modp_pagato\" value=\"".${"modp_pagato".$anno_modifica}."\">";
if (${"modp_pagato".$anno_modifica} == "n") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("non potrà modificare i <b>soldi pagati</b> e la <b>conferma</b> delle prenotazioni nel",$pag)." $anno_modifica.<br>";
if (${"modp_pagato".$anno_modifica} == "c") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("non potrà modificare i <b>soldi pagati</b> ma solo la <b>conferma</b> delle prenotazioni nel",$pag)." $anno_modifica.<br>";
if (${"modp_pagato".$anno_modifica} == "s") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("potrà modificare i <b>soldi pagati</b> e la <b>conferma</b> delle prenotazioni nel",$pag)." $anno_modifica.<br>";
} # fine if (substr($priv_mod_prenota,10,1) != ${"modp_pagato".$anno_modifica})
if (substr($priv_mod_prenota,11,1) != ${"modp_gia_iniziate".$anno_modifica}) {
$dati_da_modificare .= "<input type=\"hidden\" name=\"modp_gia_iniziate\" value=\"".${"modp_gia_iniziate".$anno_modifica}."\">";
if (${"modp_gia_iniziate".$anno_modifica} == "n") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("non potrà modificare le <b>prenotazioni già iniziate</b> nel",$pag)." $anno_modifica.<br>";
if (${"modp_gia_iniziate".$anno_modifica} == "s") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("potrà modificare anche le <b>prenotazioni già iniziate</b> nel",$pag)." $anno_modifica.<br>";
} # fine if (substr($priv_mod_prenota,11,1) != ${"modp_gia_iniziate".$anno_modifica})
if (substr($priv_mod_prenota,12,3) == "000") $v_modp_attiva_ore_mod = "n";
else $v_modp_attiva_ore_mod = "s";
if ($v_modp_attiva_ore_mod != ${"modp_attiva_ore_mod".$anno_modifica} or (substr($priv_mod_prenota,12,3) != ${"modp_num_ore_mod".$anno_modifica} and ${"modp_attiva_ore_mod".$anno_modifica} == "s")) {
$dati_da_modificare .= "<input type=\"hidden\" name=\"modp_attiva_ore_mod\" value=\"".${"modp_attiva_ore_mod".$anno_modifica}."\">
<input type=\"hidden\" name=\"modp_num_ore_mod\" value=\"".${"modp_num_ore_mod".$anno_modifica}."\">";
if (${"modp_attiva_ore_mod".$anno_modifica} == "n") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("non avrà <b>limite di tempo</b> per modificare le prenotazioni nel",$pag)." $anno_modifica.<br>";
if (${"modp_attiva_ore_mod".$anno_modifica} == "s") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("non potrà più modificare le prenotazioni <b>dopo",$pag)." ".${"modp_num_ore_mod".$anno_modifica}." ".mex("ore</b> nel",$pag)." $anno_modifica.<br>";
} # fine if ($v_modp_attiva_ore_mod != ${"modp_attiva_ore_mod".$anno_modifica} or...
if (substr($priv_mod_prenota,18,1) != ${"modp_canc".$anno_modifica}) {
$dati_da_modificare .= "<input type=\"hidden\" name=\"modp_canc\" value=\"".${"modp_canc".$anno_modifica}."\">";
if (${"modp_canc".$anno_modifica} == "n") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("non potrà <b>cancellare</b> nessuna prenotazione nel",$pag)." $anno_modifica.<br>";
if (${"modp_canc".$anno_modifica} == "f") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("potrà <b>cancellare</b> solo le proprie prenotazioni nel",$pag)." $anno_modifica.<br>";
if (${"modp_canc".$anno_modifica} == "s") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("potrà <b>cancellare</b> tutte le prenotazioni nel",$pag)." $anno_modifica.<br>";
} # fine if (substr($priv_mod_prenota,18,1) != ${"modp_canc".$anno_modifica})
if (substr($priv_mod_prenota,19,1) != ${"modp_canc_dopo_conf".$anno_modifica}) {
$dati_da_modificare .= "<input type=\"hidden\" name=\"modp_canc_dopo_conf\" value=\"".${"modp_canc_dopo_conf".$anno_modifica}."\">";
if (${"modp_canc_dopo_conf".$anno_modifica} == "n") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("non potrà <b>cancellare</b> le prenotazioni confermate nel",$pag)." $anno_modifica.<br>";
if (${"modp_canc_dopo_conf".$anno_modifica} == "s") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("potrà <b>cancellare</b> le prenotazioni confermate nel",$pag)." $anno_modifica.<br>";
} # fine if (substr($priv_mod_prenota,19,1) != ${"modp_canc_dopo_conf".$anno_modifica})
if (substr($priv_mod_prenota,15,3) == "000") $v_modp_attiva_ore_canc = "n";
else $v_modp_attiva_ore_canc = "s";
if ($v_modp_attiva_ore_canc != ${"modp_attiva_ore_canc".$anno_modifica} or (substr($priv_mod_prenota,15,3) != ${"modp_num_ore_canc".$anno_modifica} and ${"modp_attiva_ore_canc".$anno_modifica} == "s")) {
$dati_da_modificare .= "<input type=\"hidden\" name=\"modp_attiva_ore_canc\" value=\"".${"modp_attiva_ore_canc".$anno_modifica}."\">
<input type=\"hidden\" name=\"modp_num_ore_canc\" value=\"".${"modp_num_ore_canc".$anno_modifica}."\">";
if (${"modp_attiva_ore_canc".$anno_modifica} == "n") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("non avrà <b>limite di tempo</b> per cancellare le prenotazioni nel",$pag)." $anno_modifica.<br>";
if (${"modp_attiva_ore_canc".$anno_modifica} == "s") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("non potrà più cancellare le prenotazioni <b>dopo",$pag)." ".${"modp_num_ore_canc".$anno_modifica}." ".mex("ore</b> nel",$pag)." $anno_modifica.<br>";
} # fine if ($v_modp_attiva_ore_canc != ${"modp_attiva_ore_canc".$anno_modifica} or...
if (substr($priv_ins_costi,0,1) != ${"ins_spese".$anno_modifica}) {
$dati_da_modificare .= "<input type=\"hidden\" name=\"ins_spese\" value=\"".${"ins_spese".$anno_modifica}."\">";
if (${"ins_spese".$anno_modifica} == "n") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("non potrà inserire le <b>spese</b> nel",$pag)." $anno_modifica.<br>";
if (${"ins_spese".$anno_modifica} == "s") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("potrà inserire le <b>spese</b> nel",$pag)." $anno_modifica.<br>";
} # fine if (substr($priv_ins_costi,0,1) != ${"ins_spese".$anno_modifica})
if (substr($priv_ins_costi,1,1) != ${"ins_entrate".$anno_modifica}) {
$dati_da_modificare .= "<input type=\"hidden\" name=\"ins_entrate\" value=\"".${"ins_entrate".$anno_modifica}."\">";
if (${"ins_entrate".$anno_modifica} == "n") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("non potrà inserire le <b>entrate</b> nel",$pag)." $anno_modifica.<br>";
if (${"ins_entrate".$anno_modifica} == "s") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("potrà inserire le <b>entrate</b> nel",$pag)." $anno_modifica.<br>";
} # fine if (substr($priv_ins_costi,1,1) != ${"ins_entrate".$anno_modifica})
if (substr($priv_ins_costi,2,1) != ${"sottrai_entrate".$anno_modifica}) {
$dati_da_modificare .= "<input type=\"hidden\" name=\"sottrai_entrate\" value=\"".${"sottrai_entrate".$anno_modifica}."\">";
if (${"sottrai_entrate".$anno_modifica} == "n") echo mex("Le entrate inserite non verranno mai <b>sottratte</b> dal totale delle prenotazioni nel",$pag)." $anno_modifica.<br>";
if (${"sottrai_entrate".$anno_modifica} == "c") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("potrà decidere se <b>sottrarre</b> le entrate dal totale delle prentazioni nel",$pag)." $anno_modifica.<br>";
if (${"sottrai_entrate".$anno_modifica} == "s") echo mex("Le entrate inserite verranno sempre <b>sottratte</b> dal totale delle prenotazioni nel",$pag)." $anno_modifica.<br>";
} # fine if (substr($priv_ins_costi,2,1) != ${"sottrai_entrate".$anno_modifica})
if (substr($priv_ins_costi,3,1) != ${"persona_spese".$anno_modifica}) {
$dati_da_modificare .= "<input type=\"hidden\" name=\"persona_spese\" value=\"".${"persona_spese".$anno_modifica}."\">";
if (${"persona_spese".$anno_modifica} == "n") echo mex("Non verrà inserito nessuno come <b>persona</b> che inserisce le spese o le entrate nel",$pag)." $anno_modifica.<br>";
if (${"persona_spese".$anno_modifica} == "c") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("potrà scegliere chi inserire come <b>persona</b> che inserisce le spese e le entrate nel",$pag)." $anno_modifica.<br>";
if (${"persona_spese".$anno_modifica} == "u") echo mex("Verrà sempre inserito il nome dell'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("come <b>persona</b> che inserisce le spese e le entrate nel",$pag)." $anno_modifica.<br>";
} # fine if (substr($priv_ins_costi,3,1) != ${"persona_spese".$anno_modifica})
if (substr($priv_vedi_tab,0,1) != ${"vedi_tab_mesi".$anno_modifica}) {
$dati_da_modificare .= "<input type=\"hidden\" name=\"vedi_tab_mesi\" value=\"".${"vedi_tab_mesi".$anno_modifica}."\">";
if (${"vedi_tab_mesi".$anno_modifica} == "n") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("non potrà vedere le <b>tabelle dei mesi</b> del",$pag)." $anno_modifica.<br>";
if (${"vedi_tab_mesi".$anno_modifica} == "p") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("potrà vedere solo le proprie prenotazioni e gli appartamenti consentiti dalle regole di assegnazione nelle <b>tabelle dei mesi</b> del",$pag)." $anno_modifica.<br>";
if (${"vedi_tab_mesi".$anno_modifica} == "s") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("potrà vedere le <b>tabelle dei mesi</b> del",$pag)." $anno_modifica.<br>";
} # fine if (substr($priv_vedi_tab,0,1) != ${"vedi_tab_mesi".$anno_modifica})
if (substr($priv_vedi_tab,1,1) != ${"vedi_tab_tutte_prenota".$anno_modifica}) {
$dati_da_modificare .= "<input type=\"hidden\" name=\"vedi_tab_tutte_prenota\" value=\"".${"vedi_tab_tutte_prenota".$anno_modifica}."\">";
if (${"vedi_tab_tutte_prenota".$anno_modifica} == "n") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("non potrà vedere la <b>tabella con tutte le prenotazioni</b> del",$pag)." $anno_modifica.<br>";
if (${"vedi_tab_tutte_prenota".$anno_modifica} == "p") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("potrà vedere solo le proprie prenotazioni nella <b>tabella con tutte le prenotazioni</b> del",$pag)." $anno_modifica.<br>";
if (${"vedi_tab_tutte_prenota".$anno_modifica} == "s") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("potrà vedere la <b>tabella con tutte le prenotazioni</b> del",$pag)." $anno_modifica.<br>";
} # fine if (substr($priv_vedi_tab,1,1) != ${"vedi_tab_tutte_prenota".$anno_modifica})
if (substr($priv_vedi_tab,2,1) != ${"vedi_tab_costi".$anno_modifica}) {
$dati_da_modificare .= "<input type=\"hidden\" name=\"vedi_tab_costi\" value=\"".${"vedi_tab_costi".$anno_modifica}."\">";
if (${"vedi_tab_costi".$anno_modifica} == "n") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("non potrà vedere le <b>tabelle con le entrate e le uscite</b> del",$pag)." $anno_modifica.<br>";
if (${"vedi_tab_costi".$anno_modifica} == "p") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("potrà vedere solo le proprie entrate/uscite nelle <b>tabelle con le entrate e le uscite</b> del",$pag)." $anno_modifica.<br>";
if (${"vedi_tab_costi".$anno_modifica} == "s") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("potrà vedere le <b>tabelle con le entrate e le uscite</b> del",$pag)." $anno_modifica.<br>";
} # fine if (substr($priv_vedi_tab,3,1) != ${"vedi_tab_costi".$anno_modifica})
if (substr($priv_vedi_tab,3,1) != ${"vedi_tab_tariffe".$anno_modifica}) {
$dati_da_modificare .= "<input type=\"hidden\" name=\"vedi_tab_tariffe\" value=\"".${"vedi_tab_tariffe".$anno_modifica}."\">";
if (${"vedi_tab_tariffe".$anno_modifica} == "n") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("non potrà vedere la <b>tabella con i periodi e le tariffe</b> del",$pag)." $anno_modifica.<br>";
if (${"vedi_tab_tariffe".$anno_modifica} == "p") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("potrà vedere solo le tariffe a lui consentite nella <b>tabella con i periodi e le tariffe</b> del",$pag)." $anno_modifica.<br>";
if (${"vedi_tab_tariffe".$anno_modifica} == "s") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("potrà vedere la <b>tabella con i periodi e le tariffe</b> del",$pag)." $anno_modifica.<br>";
} # fine if (substr($priv_vedi_tab,4,1) != ${"vedi_tab_tariffe".$anno_modifica})
if (substr($priv_vedi_tab,4,1) != ${"vedi_tab_regole".$anno_modifica}) {
$dati_da_modificare .= "<input type=\"hidden\" name=\"vedi_tab_regole\" value=\"".${"vedi_tab_regole".$anno_modifica}."\">";
if (${"vedi_tab_regole".$anno_modifica} == "n") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("non potrà vedere la <b>tabella con le regole di assegnazione</b> del",$pag)." $anno_modifica.<br>";
if (${"vedi_tab_regole".$anno_modifica} == "p") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("potrà vedere solo le regole a lui consentite nella <b>tabella con le regole di assegnazione</b> del",$pag)." $anno_modifica.<br>";
if (${"vedi_tab_regole".$anno_modifica} == "s") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("potrà vedere la <b>tabella con le regole di assegnazione</b> del",$pag)." $anno_modifica.<br>";
} # fine if (substr($priv_vedi_tab,5,1) != ${"vedi_tab_regole".$anno_modifica})
if (substr($priv_vedi_tab,5,1) != ${"vedi_tab_appartamenti".$anno_modifica}) {
$dati_da_modificare .= "<input type=\"hidden\" name=\"vedi_tab_appartamenti\" value=\"".${"vedi_tab_appartamenti".$anno_modifica}."\">";
if (${"vedi_tab_appartamenti".$anno_modifica} == "n") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("non potrà vedere la <b>tabella con gli appartamenti</b> del",$pag)." $anno_modifica.<br>";
if (${"vedi_tab_appartamenti".$anno_modifica} == "p") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("potrà vedere solo appartamenti associati a regole a lui consentite nella <b>tabella con gli appartamenti</b> del",$pag)." $anno_modifica.<br>";
if (${"vedi_tab_appartamenti".$anno_modifica} == "s") echo mex("L'utente",$pag)." <i>$nome_utente_privilegi</i> ".mex("potrà vedere la <b>tabella con gli appartamenti</b> del",$pag)." $anno_modifica.<br>";
} # fine if (substr($priv_vedi_tab,6,1) != ${"vedi_tab_appartamenti".$anno_modifica})
echo "<form accept-charset=\"utf-8\" method=\"post\" action=\"privilegi_utenti.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"id_utente_privilegi\" value=\"$id_utente_privilegi\">
<input type=\"hidden\" name=\"modifica_privilegi_anno\" value=\"$modifica_privilegi_anno\">
$dati_da_modificare
<input class=\"sbutton\" type=\"submit\" name=\"continua\" value=\"".mex("Continua",$pag)."\">
</form>";
} # fine if (!$continua)
else {
$nuove_regole1_consentite = $regole1_consentite;
if ($usa_regola1 == "n" or $usa_regola1 == "s") $nuove_regole1_consentite = $usa_regola1.substr($nuove_regole1_consentite,1);
if ($avvisa_regola1 == "s" or $avvisa_regola1 == "n" or $avvisa_regola1 == "m" or $avvisa_regola1 == "f") $nuove_regole1_consentite = substr($nuove_regole1_consentite,0,1).$avvisa_regola1.substr($nuove_regole1_consentite,2);
if ($cambia_motivazioni_reg1) $nuove_regole1_consentite = substr($nuove_regole1_consentite,0,3).$nuove_motivazioni_reg1;
if ($nuove_regole1_consentite != $regole1_consentite) esegui_query("update $tableprivilegi set regole1_consentite = '$nuove_regole1_consentite' where idutente = '$id_utente_privilegi' and anno = '$anno_modifica'");
$nuove_tariffe_consentite = $tariffe_consentite;
if ($seleziona_tariffe == "n" or $seleziona_tariffe == "s") $nuove_tariffe_consentite = $seleziona_tariffe.substr($nuove_tariffe_consentite,1);
if ($cambia_tariffe_sel) $nuove_tariffe_consentite = substr($nuove_tariffe_consentite,0,2).$nuove_tariffe_sel;
if ($nuove_tariffe_consentite != $tariffe_consentite) esegui_query("update $tableprivilegi set tariffe_consentite = '$nuove_tariffe_consentite' where idutente = '$id_utente_privilegi' and anno = '$anno_modifica'");
$nuovi_costi_agg_consentiti = $costi_agg_consentiti;
if ($seleziona_costi_agg == "n" or $seleziona_costi_agg == "s") $nuovi_costi_agg_consentiti = $seleziona_costi_agg.substr($nuovi_costi_agg_consentiti,1);
if ($cambia_costi_agg_sel) $nuovi_costi_agg_consentiti = substr($nuovi_costi_agg_consentiti,0,2).$nuovi_costi_agg_sel;
if ($nuovi_costi_agg_consentiti != $costi_agg_consentiti) esegui_query("update $tableprivilegi set costi_agg_consentiti = '$nuovi_costi_agg_consentiti' where idutente = '$id_utente_privilegi' and anno = '$anno_modifica'");
$nuovi_contratti_consentiti = $contratti_consentiti;
if ($seleziona_contratti == "n" or $seleziona_contratti == "s") $nuovi_contratti_consentiti = $seleziona_contratti.substr($nuovi_contratti_consentiti,1);
if ($cambia_contratti_sel) $nuovi_contratti_consentiti = substr($nuovi_contratti_consentiti,0,2).$nuovi_contratti_sel;
if ($nuovi_contratti_consentiti != $contratti_consentiti) esegui_query("update $tableprivilegi set contratti_consentiti = '$nuovi_contratti_consentiti' where idutente = '$id_utente_privilegi' and anno = '$anno_modifica'");
$nuovi_priv_ins_prenota = $priv_ins_prenota;
if ($inserisci_prenotazioni == "n" or $inserisci_prenotazioni == "s") $nuovi_priv_ins_prenota = $inserisci_prenotazioni.substr($nuovi_priv_ins_prenota,1);
if ($ins_assegnazione_app == "n" or $ins_assegnazione_app == "s") $nuovi_priv_ins_prenota = substr($nuovi_priv_ins_prenota,0,1).$ins_assegnazione_app.substr($nuovi_priv_ins_prenota,2);
if ($ins_conferma_prenota == "n" or $ins_conferma_prenota == "s") $nuovi_priv_ins_prenota = substr($nuovi_priv_ins_prenota,0,2).$ins_conferma_prenota.substr($nuovi_priv_ins_prenota,3);
if ($ins_sconto == "n" or $ins_sconto == "s") $nuovi_priv_ins_prenota = substr($nuovi_priv_ins_prenota,0,3).$ins_sconto.substr($nuovi_priv_ins_prenota,4);
if ($ins_caparra == "n" or $ins_caparra == "s") $nuovi_priv_ins_prenota = substr($nuovi_priv_ins_prenota,0,4).$ins_caparra.substr($nuovi_priv_ins_prenota,5);
if ($ins_costi_agg_prenota == "n" or $ins_costi_agg_prenota == "s") $nuovi_priv_ins_prenota = substr($nuovi_priv_ins_prenota,0,5).$ins_costi_agg_prenota.substr($nuovi_priv_ins_prenota,6);
if ($ins_commento == "n" or $ins_commento == "s") $nuovi_priv_ins_prenota = substr($nuovi_priv_ins_prenota,0,6).$ins_commento.substr($nuovi_priv_ins_prenota,7);
if ($ins_num_persone == "n" or $ins_num_persone == "s") $nuovi_priv_ins_prenota = substr($nuovi_priv_ins_prenota,0,7).$ins_num_persone.substr($nuovi_priv_ins_prenota,8);
if ($ins_passato == "n" or $ins_passato == "s") $nuovi_priv_ins_prenota = substr($nuovi_priv_ins_prenota,0,8).$ins_passato.substr($nuovi_priv_ins_prenota,9);
if ($ins_multiple == "n" or $ins_multiple == "s") $nuovi_priv_ins_prenota = substr($nuovi_priv_ins_prenota,0,9).$ins_multiple.substr($nuovi_priv_ins_prenota,9);
if ($ins_checkin == "n" or $ins_checkin == "s") $nuovi_priv_ins_prenota = substr($nuovi_priv_ins_prenota,0,10).$ins_checkin;
if ($nuovi_priv_ins_prenota != $priv_ins_prenota) esegui_query("update $tableprivilegi set priv_ins_prenota = '$nuovi_priv_ins_prenota' where idutente = '$id_utente_privilegi' and anno = '$anno_modifica'");
$nuovi_priv_mod_prenota = $priv_mod_prenota;
if ($modp_prenota == "n" or $modp_prenota == "p" or $modp_prenota == "s") $nuovi_priv_mod_prenota = $modp_prenota.substr($nuovi_priv_mod_prenota,1);
if ($modp_date_prenota == "n" or $modp_date_prenota == "s") $nuovi_priv_mod_prenota = substr($nuovi_priv_mod_prenota,0,1).$modp_date_prenota.substr($nuovi_priv_mod_prenota,2);
if ($modp_app_prenota == "n" or $modp_app_prenota == "s" or $modp_app_prenota == "a") $nuovi_priv_mod_prenota = substr($nuovi_priv_mod_prenota,0,2).$modp_app_prenota.substr($nuovi_priv_mod_prenota,3);
if ($modp_tariffa == "n" or $modp_tariffa == "r" or $modp_tariffa == "s") $nuovi_priv_mod_prenota = substr($nuovi_priv_mod_prenota,0,3).$modp_tariffa.substr($nuovi_priv_mod_prenota,4);
if ($modp_num_persone == "n" or $modp_num_persone == "s") $nuovi_priv_mod_prenota = substr($nuovi_priv_mod_prenota,0,4).$modp_num_persone.substr($nuovi_priv_mod_prenota,5);
if ($modp_commento == "n" or $modp_commento == "s") $nuovi_priv_mod_prenota = substr($nuovi_priv_mod_prenota,0,5).$modp_commento.substr($nuovi_priv_mod_prenota,6);
if ($modp_sconto == "n" or $modp_sconto == "s") $nuovi_priv_mod_prenota = substr($nuovi_priv_mod_prenota,0,6).$modp_sconto.substr($nuovi_priv_mod_prenota,7);
if ($modp_caparra == "n" or $modp_caparra == "s") $nuovi_priv_mod_prenota = substr($nuovi_priv_mod_prenota,0,7).$modp_caparra.substr($nuovi_priv_mod_prenota,8);
if ($modp_costi_agg == "n" or $modp_costi_agg == "s") $nuovi_priv_mod_prenota = substr($nuovi_priv_mod_prenota,0,8).$modp_costi_agg.substr($nuovi_priv_mod_prenota,9);
#if ($modp_conferma == "n" or $modp_conferma == "s") $nuovi_priv_mod_prenota = substr($nuovi_priv_mod_prenota,0,9).$modp_conferma.substr($nuovi_priv_mod_prenota,10);
if ($modp_pagato == "n" or $modp_pagato == "c" or $modp_pagato == "s") $nuovi_priv_mod_prenota = substr($nuovi_priv_mod_prenota,0,10).$modp_pagato.substr($nuovi_priv_mod_prenota,11);
if ($modp_gia_iniziate == "n" or $modp_gia_iniziate == "s") $nuovi_priv_mod_prenota = substr($nuovi_priv_mod_prenota,0,11).$modp_gia_iniziate.substr($nuovi_priv_mod_prenota,12);
if ($modp_attiva_ore_mod == "n") $nuovi_priv_mod_prenota = substr($nuovi_priv_mod_prenota,0,12)."000".substr($nuovi_priv_mod_prenota,15);
if ($modp_attiva_ore_mod == "s") {
if (strlen($modp_num_ore_mod) == 1) $modp_num_ore_mod = "00".$modp_num_ore_mod;
if (strlen($modp_num_ore_mod) == 2) $modp_num_ore_mod = "0".$modp_num_ore_mod;
if (strlen($modp_num_ore_mod) != 3) $modp_num_ore_mod = "000";
$nuovi_priv_mod_prenota = substr($nuovi_priv_mod_prenota,0,12).$modp_num_ore_mod.substr($nuovi_priv_mod_prenota,15);
} # fine if ($modp_attiva_ore_mod == "s")
if ($modp_attiva_ore_canc == "n") $nuovi_priv_mod_prenota = substr($nuovi_priv_mod_prenota,0,15)."000".substr($nuovi_priv_mod_prenota,18);
if ($modp_attiva_ore_canc == "s") {
if (strlen($modp_num_ore_canc) == 1) $modp_num_ore_canc = "00".$modp_num_ore_canc;
if (strlen($modp_num_ore_canc) == 2) $modp_num_ore_canc = "0".$modp_num_ore_canc;
if (strlen($modp_num_ore_canc) != 3) $modp_num_ore_canc = "000";
$nuovi_priv_mod_prenota = substr($nuovi_priv_mod_prenota,0,15).$modp_num_ore_canc.substr($nuovi_priv_mod_prenota,18);
} # fine if ($modp_attiva_ore_canc == "s")
if ($modp_canc == "n" or $modp_canc == "f" or $modp_canc == "s") $nuovi_priv_mod_prenota = substr($nuovi_priv_mod_prenota,0,18).$modp_canc.substr($nuovi_priv_mod_prenota,19);
if ($modp_canc_dopo_conf == "n" or $modp_canc_dopo_conf == "s") $nuovi_priv_mod_prenota = substr($nuovi_priv_mod_prenota,0,19).$modp_canc_dopo_conf.substr($nuovi_priv_mod_prenota,20);
if ($modp_checkin == "n" or $modp_checkin == "s") $nuovi_priv_mod_prenota = substr($nuovi_priv_mod_prenota,0,20).$modp_checkin;
if ($nuovi_priv_mod_prenota != $priv_mod_prenota) esegui_query("update $tableprivilegi set priv_mod_prenota = '$nuovi_priv_mod_prenota' where idutente = '$id_utente_privilegi' and anno = '$anno_modifica'");
$nuovi_priv_ins_costi = $priv_ins_costi;
if ($ins_spese == "n" or $ins_spese == "s") $nuovi_priv_ins_costi = $ins_spese.substr($nuovi_priv_ins_costi,1);
if ($ins_entrate == "n" or $ins_entrate == "s") $nuovi_priv_ins_costi = substr($nuovi_priv_ins_costi,0,1).$ins_entrate.substr($nuovi_priv_ins_costi,2);
if ($sottrai_entrate == "n" or $sottrai_entrate == "c" or $sottrai_entrate == "s") $nuovi_priv_ins_costi = substr($nuovi_priv_ins_costi,0,2).$sottrai_entrate.substr($nuovi_priv_ins_costi,3);
if ($persona_spese == "n" or $persona_spese == "u" or $persona_spese == "c") $nuovi_priv_ins_costi = substr($nuovi_priv_ins_costi,0,3).$persona_spese;
if ($nuovi_priv_ins_costi != $priv_ins_costi) esegui_query("update $tableprivilegi set priv_ins_costi = '$nuovi_priv_ins_costi' where idutente = '$id_utente_privilegi' and anno = '$anno_modifica'");
$nuovi_priv_vedi_tab = $priv_vedi_tab;
if ($vedi_tab_mesi == "n" or $vedi_tab_mesi == "p" or $vedi_tab_mesi == "s") $nuovi_priv_vedi_tab = $vedi_tab_mesi.substr($nuovi_priv_vedi_tab,1);
if ($vedi_tab_tutte_prenota == "n" or $vedi_tab_tutte_prenota == "p" or $vedi_tab_tutte_prenota == "s") $nuovi_priv_vedi_tab = substr($nuovi_priv_vedi_tab,0,1).$vedi_tab_tutte_prenota.substr($nuovi_priv_vedi_tab,2);
if ($vedi_tab_costi == "n" or $vedi_tab_costi == "p" or $vedi_tab_costi == "s") $nuovi_priv_vedi_tab = substr($nuovi_priv_vedi_tab,0,2).$vedi_tab_costi.substr($nuovi_priv_vedi_tab,3);
if ($vedi_tab_tariffe == "n" or $vedi_tab_tariffe == "p" or $vedi_tab_tariffe == "s") $nuovi_priv_vedi_tab = substr($nuovi_priv_vedi_tab,0,3).$vedi_tab_tariffe.substr($nuovi_priv_vedi_tab,4);
if ($vedi_tab_regole == "n" or $vedi_tab_regole == "p" or $vedi_tab_regole == "s") $nuovi_priv_vedi_tab = substr($nuovi_priv_vedi_tab,0,4).$vedi_tab_regole.substr($nuovi_priv_vedi_tab,5);
if ($vedi_tab_appartamenti == "n" or $vedi_tab_appartamenti == "p" or $vedi_tab_appartamenti == "s") $nuovi_priv_vedi_tab = substr($nuovi_priv_vedi_tab,0,5).$vedi_tab_appartamenti;
if ($nuovi_priv_vedi_tab != $priv_vedi_tab) esegui_query("update $tableprivilegi set priv_vedi_tab = '$nuovi_priv_vedi_tab' where idutente = '$id_utente_privilegi' and anno = '$anno_modifica'");
$privilegi_anno[$anno_modifica] = esegui_query("select * from $tableprivilegi where idutente = '$id_utente_privilegi' and anno = '$anno_modifica'");
} # fine else if (!$continua)
} # fine if ($modificare != "NO")
else $mostra_form_iniziale = "NO";
} # fine if ($modifica_privilegi_anno)


if ($attiva_anno) {
if (controlla_anno($attiva_anno) == "SI" and $anno_esistente[$attiva_anno] == "SI" and numlin_query($privilegi_anno[$attiva_anno]) == 0) {
esegui_query("insert into $tableprivilegi (idutente, anno, regole1_consentite, tariffe_consentite, costi_agg_consentiti, contratti_consentiti, priv_ins_prenota, priv_mod_prenota, priv_ins_costi, priv_vedi_tab) values ('$id_utente_privilegi','$attiva_anno','nm,','n,','n,','n,','nnnnnnnnnnn','nnnnnnnnnnnn000000nnn','nnnn','nnnnnn')");
$privilegi_anno[$attiva_anno] = esegui_query("select * from $tableprivilegi where idutente = '$id_utente_privilegi' and anno = '$attiva_anno'");
include("./includes/funzioni_menu.php");
$tipo_periodi_cambia = esegui_query("select * from $tableanni where idanni = '$attiva_anno'");
$tipo_periodi_cambia = risul_query($tipo_periodi_cambia,0,tipo_periodi);
include("./dati/lingua.php");
$lingua_mex = $lingua[$id_utente_privilegi];
crea_menu_date("./dati/selectperiodi$attiva_anno.1.php","./dati/selectperiodi$attiva_anno.$id_utente_privilegi.php",$tipo_periodi_cambia);
crea_menu_date("./dati/selperiodimenu$attiva_anno.1.php","./dati/selperiodimenu$attiva_anno.$id_utente_privilegi.php",$tipo_periodi_cambia);
$lingua_mex = $lingua[$id_utente];
$giorno_vedi_ini_sett = esegui_query("select valpersonalizza_num from $tablepersonalizza where idpersonalizza = 'giorno_vedi_ini_sett$attiva_anno' and idutente = '1'");
if (numlin_query($giorno_vedi_ini_sett) == 1) {
$giorno_vedi_ini_sett = risul_query($giorno_vedi_ini_sett,0,valpersonalizza_num);
esegui_query("insert into $tablepersonalizza (idpersonalizza,idutente,valpersonalizza_num) values ('giorno_vedi_ini_sett$attiva_anno','$id_utente_privilegi','$giorno_vedi_ini_sett')");
} # fine if (numlin_query($giorno_vedi_ini_sett) == 1)
} # fine if (controlla_anno($attiva_anno) == "SI" and ...
} # fine if ($attiva_anno)


if ($disattiva_anno) {
if (controlla_anno($disattiva_anno) == "SI" and $anno_esistente[$disattiva_anno] == "SI" and numlin_query($privilegi_anno[$disattiva_anno]) != 0) {
esegui_query("delete from $tableprivilegi where idutente = '$id_utente_privilegi' and anno = '$disattiva_anno'");
$privilegi_anno[$disattiva_anno] = esegui_query("select * from $tableprivilegi where idutente = '$id_utente_privilegi' and anno = '$disattiva_anno'");
unlink("./dati/selectperiodi$disattiva_anno.$id_utente_privilegi.php");
unlink("./dati/selperiodimenu$disattiva_anno.$id_utente_privilegi.php");
esegui_query("delete from $tablepersonalizza where idpersonalizza = 'giorno_vedi_ini_sett$disattiva_anno' and idutente = '$id_utente_privilegi'");
} # fine if (controlla_anno($disattiva_anno) == "SI" and ...
} # fine if ($disattiva_anno)


unlock_tabelle($tabelle_lock);


if ($mostra_form_iniziale == "NO") {
echo "<br><center>
<form accept-charset=\"utf-8\" method=\"post\" action=\"privilegi_utenti.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"id_utente_privilegi\" value=\"$id_utente_privilegi\">
<input class=\"sbutton\" type=\"submit\" name=\"torna\" value=\"".mex("Torna indietro",$pag)."\">
</form></center>";
} # fine if($mostra_form_iniziale == "NO")



if ($mostra_form_iniziale != "NO") {


echo "<center><font size=+2>".mex("Privilegi dell'utente",$pag)." <b>$nome_utente_privilegi</b></font></center><br>";

echo "<hr width=\"90%\">
<center>".mex("Privilegi <b>globali</b>",$pag)."</center>
<form accept-charset=\"utf-8\" method=\"post\" action=\"privilegi_utenti.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"id_utente_privilegi\" value=\"$id_utente_privilegi\">
<input type=\"hidden\" name=\"modifica_privilegi_globali\" value=\"SI\">";
$priv_mod_pers = risul_query($privilegi_globali,0,priv_mod_pers);
$priv_ins_clienti = risul_query($privilegi_globali,0,priv_ins_clienti);
$prefisso_clienti = risul_query($privilegi_globali,0,prefisso_clienti);
unset ($checked_SI);
unset($b_SI);
unset($b_slash_SI);
unset($checked_NO);
unset($b_NO);
unset($b_slash_NO);
if (substr($priv_mod_pers,0,1) == "s") { $checked_SI = " checked"; $b_SI = "<b>"; $b_slash_SI = "</b>"; }
if (substr($priv_mod_pers,0,1) == "n") { $checked_NO = " checked"; $b_NO = "<b>"; $b_slash_NO = "</b>"; }
echo "".mex("Modifica delle proprie personalizzazioni",$pag).":
 <input type=\"radio\" name=\"modifica_pers\" value=\"s\"$checked_SI>$b_SI".mex("Si",$pag)."$b_slash_SI
 <input type=\"radio\" name=\"modifica_pers\" value=\"n\"$checked_NO>$b_NO".mex("No",$pag)."$b_slash_NO<br><br>";
unset ($checked_SI);
unset($b_SI);
unset($b_slash_SI);
unset($checked_NO);
unset($b_NO);
unset($b_slash_NO);
if (substr($priv_ins_clienti,0,1) == "s") { $checked_SI = " checked"; $b_SI = "<b>"; $b_slash_SI = "</b>"; }
if (substr($priv_ins_clienti,0,1) == "n") { $checked_NO = " checked"; $b_NO = "<b>"; $b_slash_NO = "</b>"; }
echo "".mex("Inserimento di nuovi clienti",$pag).":
 <input type=\"radio\" name=\"inserimento_clienti\" value=\"s\"$checked_SI>$b_SI".mex("Si",$pag)."$b_slash_SI
 <input type=\"radio\" name=\"inserimento_clienti\" value=\"n\"$checked_NO>$b_NO".mex("No",$pag)."$b_slash_NO<br>";
unset($checked_SI);
unset($b_SI);
unset($b_slash_SI);
unset($checked_NO);
unset($b_NO);
unset($b_slash_NO);
unset($checked_PR);
unset($b_PR);
unset($b_slash_PR);
if (substr($priv_ins_clienti,2,1) == "s") { $checked_SI = " checked"; $b_SI = "<b>"; $b_slash_SI = "</b>"; }
if (substr($priv_ins_clienti,2,1) == "p") { $checked_PR = " checked"; $b_PR = "<b>"; $b_slash_PR = "</b>"; }
if (substr($priv_ins_clienti,2,1) == "n") { $checked_NO = " checked"; $b_NO = "<b>"; $b_slash_NO = "</b>"; }
echo mex("Possibilità di vedere ed utilizzare nelle prenotazioni i clienti già inseriti",$pag).":
 <input type=\"radio\" name=\"vedi_clienti\" value=\"s\"$checked_SI>$b_SI".mex("Si",$pag)."$b_slash_SI
 <input type=\"radio\" name=\"vedi_clienti\" value=\"p\"$checked_PR>$b_PR".mex("Solo i propri",$pag)."$b_slash_PR
 <input type=\"radio\" name=\"vedi_clienti\" value=\"n\"$checked_NO>$b_NO".mex("No",$pag)."$b_slash_NO<br>";
unset($checked_SI);
unset($b_SI);
unset($b_slash_SI);
unset($checked_NO);
unset($b_NO);
unset($b_slash_NO);
unset($checked_PR);
unset($b_PR);
unset($b_slash_PR);
if (substr($priv_ins_clienti,1,1) == "s") { $checked_SI = " checked"; $b_SI = "<b>"; $b_slash_SI = "</b>"; }
if (substr($priv_ins_clienti,1,1) == "p") { $checked_PR = " checked"; $b_PR = "<b>"; $b_slash_PR = "</b>"; }
if (substr($priv_ins_clienti,1,1) == "n") { $checked_NO = " checked"; $b_NO = "<b>"; $b_slash_NO = "</b>"; }
echo "<table><tr><td width=\"30\"></td><td>".mex("Modifica e cancellazione dei clienti già inseriti",$pag).":
 <input type=\"radio\" name=\"modifica_clienti\" value=\"s\"$checked_SI>$b_SI".mex("Si",$pag)."$b_slash_SI
 <input type=\"radio\" name=\"modifica_clienti\" value=\"p\"$checked_PR>$b_PR".mex("Solo dei propri",$pag)."$b_slash_PR
 <input type=\"radio\" name=\"modifica_clienti\" value=\"n\"$checked_NO>$b_NO".mex("No",$pag)."$b_slash_NO</td></tr></table>";

$prefisso_clienti = explode(",",$prefisso_clienti);
unset($checked_SUF);
unset($b_SUF);
unset($b_slash_SUF);
unset($checked_NO);
unset($b_NO);
unset($b_slash_NO);
unset($checked_PRE);
unset($b_PRE);
unset($b_slash_PRE);
if (substr($prefisso_clienti[0],0,1) == "p") { $checked_PRE = " checked"; $b_PRE = "<b>"; $b_slash_PRE = "</b>"; }
if (substr($prefisso_clienti[0],0,1) == "s") { $checked_SUF = " checked"; $b_SUF = "<b>"; $b_slash_SUF = "</b>"; }
if (substr($prefisso_clienti[0],0,1) == "n") { $checked_NO = " checked"; $b_NO = "<b>"; $b_slash_NO = "</b>"; }
echo "".mex("Inserire in tutti i cognomi dei clienti inseriti da questo utente",$pag).":
 <input type=\"radio\" name=\"tipo_prefisso_clienti\" value=\"p\"$checked_PRE>$b_PRE".mex("Un prefisso",$pag)."$b_slash_PRE
 <input type=\"radio\" name=\"tipo_prefisso_clienti\" value=\"s\"$checked_SUF>$b_SUF".mex("Un suffisso",$pag)."$b_slash_SUF
 <input type=\"radio\" name=\"tipo_prefisso_clienti\" value=\"n\"$checked_NO>$b_NO".mex("Niente",$pag)."$b_slash_NO<br>
".mex("Testo del prefisso/suffisso dei clienti",$pag).": <input type=\"text\" name=\"testo_prefisso_clienti\" size=\"15\" value=\"".$prefisso_clienti[1]."\"><br><br>";

$priv_messaggi = risul_query($privilegi_globali,0,priv_messaggi);
unset($checked_SI);
unset($b_SI);
unset($b_slash_SI);
unset($checked_NO);
unset($b_NO);
unset($b_slash_NO);
if (substr($priv_messaggi,0,1) == "s") { $checked_SI = " checked"; $b_SI = "<b>"; $b_slash_SI = "</b>"; }
if (substr($priv_messaggi,0,1) == "n") { $checked_NO = " checked"; $b_NO = "<b>"; $b_slash_NO = "</b>"; }
echo mex("Possibilità di vedere i messaggi ricevuti",$pag).":
 <input type=\"radio\" name=\"vedi_messaggi\" value=\"s\"$checked_SI>$b_SI".mex("Si",$pag)."$b_slash_SI
 <input type=\"radio\" name=\"vedi_messaggi\" value=\"n\"$checked_NO>$b_NO".mex("No",$pag)."$b_slash_NO<br>";
unset($checked_SI);
unset($b_SI);
unset($b_slash_SI);
unset($checked_NO);
unset($b_NO);
unset($b_slash_NO);
if (substr($priv_messaggi,1,1) == "s") { $checked_SI = " checked"; $b_SI = "<b>"; $b_slash_SI = "</b>"; }
if (substr($priv_messaggi,1,1) == "n") { $checked_NO = " checked"; $b_NO = "<b>"; $b_slash_NO = "</b>"; }
echo "<table><tr><td width=\"30\"></td><td>".mex("Possibilità di mandare messaggi",$pag).":
 <input type=\"radio\" name=\"ins_messaggi\" value=\"s\"$checked_SI>$b_SI".mex("Si",$pag)."$b_slash_SI
 <input type=\"radio\" name=\"ins_messaggi\" value=\"n\"$checked_NO>$b_NO".mex("No",$pag)."$b_slash_NO
</td></tr></table><br>";

echo "<center>
<input class=\"sbutton\" type=\"submit\" name=\"mod_priv\" value=\"".mex("Modifica i privilegi globali",$pag)."\">
</center></form>
<hr width=\"90%\">";


for ($num1 = 0 ; $num1 < $num_anni ; $num1++) {
$anno_mostra = risul_query($anni,$num1,idanni);
$tipo_periodi_mostra = risul_query($anni,$num1,tipo_periodi);
echo "<center>".mex("Privilegi per l'anno",$pag)." <b>$anno_mostra</b></center>";
if (numlin_query($privilegi_anno[$anno_mostra]) == 0) {
echo "<form accept-charset=\"utf-8\" method=\"post\" action=\"privilegi_utenti.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"id_utente_privilegi\" value=\"$id_utente_privilegi\">
<input type=\"hidden\" name=\"attiva_anno\" value=\"$anno_mostra\">
".mex("Anno disattivato",$pag).".&nbsp;&nbsp;&nbsp;
<input class=\"sbutton\" type=\"submit\" name=\"attiv\" value=\"".mex("Attiva",$pag)."\">
</form>";
} # fine if (numlin_query($privilegi_anno[$anno_mostra]) == 0)

else {
echo "<form accept-charset=\"utf-8\" method=\"post\" action=\"privilegi_utenti.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"id_utente_privilegi\" value=\"$id_utente_privilegi\">
<input type=\"hidden\" name=\"disattiva_anno\" value=\"$anno_mostra\">
".mex("Anno attivato",$pag).".&nbsp;&nbsp;&nbsp;
<input class=\"sbutton\" type=\"submit\" name=\"disattiv\" value=\"".mex("Disattiva",$pag)."\">
</form><br>";

$tableregole_mostra = $PHPR_TAB_PRE."regole".$anno_mostra;
echo "<form accept-charset=\"utf-8\" method=\"post\" action=\"privilegi_utenti.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"id_utente_privilegi\" value=\"$id_utente_privilegi\">
<input type=\"hidden\" name=\"modifica_privilegi_anno\" value=\"$anno_mostra\">";

$regole1_consentite = risul_query($privilegi_anno[$anno_mostra],0,regole1_consentite);
$vett_regole1_consentite = explode("#@^",substr($regole1_consentite,3));
unset($checked_SI);
unset($b_SI);
unset($b_slash_SI);
unset($checked_NO);
unset($b_NO);
unset($b_slash_NO);
if (substr($regole1_consentite,0,1) == "s") { $checked_SI = " checked"; $b_SI = "<b>"; $b_slash_SI = "</b>"; }
if (substr($regole1_consentite,0,1) == "n") { $checked_NO = " checked"; $b_NO = "<b>"; $b_slash_NO = "</b>"; }
echo "<input type=\"radio\" name=\"usa_regola1$anno_mostra\" value=\"n\"$checked_NO>$b_NO
".mex("Prenotazioni inseribili e modificabili in tutti i periodi e appartamenti",$pag)."$b_slash_NO.<br>
<input type=\"radio\" name=\"usa_regola1$anno_mostra\" value=\"s\"$checked_SI>$b_SI
".mex("Prenotazioni inseribili solo nei periodi della regola di assegnazione 1 con le motivazioni selezionate",$pag)."$b_slash_SI:<br>
<table border=\"1\" align=\"center\"><tr>$n_costi_agg_imposti";
unset($motivazioni_selezionate);
for ($num2 = 0 ; $num2 < count($vett_regole1_consentite) ; $num2++) $motivazioni_selezionate[$vett_regole1_consentite[$num2]] = "SI";
$celle = 1;
$num_colonne = 3;
$regole = esegui_query("select * from $tableregole_mostra where app_agenzia != '' order by app_agenzia");
$num_regole = numlin_query($regole);
$motivazioni_presenti = "";
$num_motivazioni = 0;
for ($num2 = 0 ; $num2 < $num_regole ; $num2++) {
$idregole = risul_query($regole,$num2,idregole);
$motivazione = risul_query($regole,$num2,motivazione);
if (!$motivazione) {
$motivazione = " ";
$motivazione_vedi = mex("nessuna",$pag);
} # fine if (!$motivazione)
else $motivazione_vedi = $motivazione;
if ($motivazioni_presenti[$motivazione] != "SI") {
$motivazioni_presenti[$motivazione] = "SI";
$var_motivazione = "var_mot_".$anno_mostra.$num_motivazioni;
$num_motivazioni++;
unset($checked_SI);
unset($b_SI);
unset($b_slash_SI);
if ($motivazioni_selezionate[$motivazione] == "SI") { $checked_SI = " checked"; $b_SI = "<b>"; $b_slash_SI = "</b>"; }
echo "<td><input type=\"checkbox\" name=\"$var_motivazione\" value=\"$motivazione\"$checked_SI> $b_SI$motivazione_vedi$b_slash_SI</td>";
if ($celle == $num_colonne) {
echo "</tr><tr>";
$celle = 0;
} # fine if ($celle == 3)
$celle++;
} # fine if ($motivazioni_presenti[$motivazione] != "SI")
} # fine for $num2
if ($celle != 1) for ($num2 = $celle ; $num2 <= $num_colonne ; $num2++) echo "<td>&nbsp;</td>";
if ($num_regole == 0) echo "<td width=\"250\">&nbsp;</td>";
echo "</tr></table>
<input type=\"hidden\" name=\"num_motivazioni$anno_mostra\" value=\"$num_motivazioni\">";
unset($checked_SEMPRE);
unset($b_SEMPRE);
unset($b_slash_SEMPRE);
unset($checked_NONSEL);
unset($b_NONSEL);
unset($b_slash_NONSEL);
unset($checked_SEL);
unset($b_SEL);
unset($b_slash_SEL);
unset($checked_MAI);
unset($b_MAI);
unset($b_slash_MAI);
unset($checked_FISSINSEL);
unset($b_FISSINSEL);
unset($b_slash_FISSINSEL);
if (substr($regole1_consentite,1,1) == "s") { $checked_SEMPRE = " checked"; $b_SEMPRE = "<b>"; $b_slash_SEMPRE = "</b>"; }
if (substr($regole1_consentite,1,1) == "r") { $checked_SEL = " checked"; $b_SEL = "<b>"; $b_slash_SEL = "</b>"; }
if (substr($regole1_consentite,1,1) == "n") { $checked_NONSEL = " checked"; $b_NONSEL = "<b>"; $b_slash_NONSEL = "</b>"; }
if (substr($regole1_consentite,1,1) == "m") { $checked_MAI = " checked"; $b_MAI = "<b>"; $b_slash_MAI = "</b>"; }
if (substr($regole1_consentite,1,1) == "f") { $checked_FISSINSEL = " checked"; $b_FISSINSEL = "<b>"; $b_slash_FISSINSEL = "</b>"; }
echo "<table><tr><td width=130>
".str_replace(" ","&nbsp;",mex("Applica la regola 1",$pag)).":</td>
<td><input type=\"radio\" name=\"avvisa_regola1$anno_mostra\" value=\"s\"$checked_SEMPRE></td><td>$b_SEMPRE".mex("Sempre",$pag)."$b_slash_SEMPRE</td>
<td><input type=\"radio\" name=\"avvisa_regola1$anno_mostra\" value=\"n\"$checked_NONSEL></td><td>$b_NONSEL".mex("Solo per regole non selezionate",$pag)."$b_slash_NONSEL</td></tr>
<tr><td>&nbsp;</td><td><input type=\"radio\" name=\"avvisa_regola1$anno_mostra\" value=\"m\"$checked_MAI></td><td>$b_MAI".mex("Mai",$pag)."$b_slash_MAI</td>
<td><input type=\"radio\" name=\"avvisa_regola1$anno_mostra\" value=\"f\"$checked_FISSINSEL></td><td>$b_FISSINSEL".mex("Mai, ma non spostare altre prenotazioni in periodi delle regole non selezionate se non vi si possono inserire prenotazioni",$pag)."$b_slash_FISSINSEL</td></tr>
</table><br>";

$tablenometariffe_mostra = $PHPR_TAB_PRE."ntariffe".$anno_mostra;
$rigatariffe = esegui_query("select * from $tablenometariffe_mostra where idntariffe = 1 ");
$numero_tariffe = risul_query($rigatariffe,0,nomecostoagg);
$tariffe_consentite = risul_query($privilegi_anno[$anno_mostra],0,tariffe_consentite);
$vett_tariffe_consentite = explode(",",$tariffe_consentite);
unset($tariffa_selezionata);
for ($num2 = 1 ; $num2 < count($vett_tariffe_consentite) ; $num2++) $tariffa_selezionata[$vett_tariffe_consentite[$num2]] = "SI";
unset($checked_SI);
unset($b_SI);
unset($b_slash_SI);
unset($checked_NO);
unset($b_NO);
unset($b_slash_NO);
if (substr($tariffe_consentite,0,1) == "s") { $checked_SI = " checked"; $b_SI = "<b>"; $b_slash_SI = "</b>"; }
if (substr($tariffe_consentite,0,1) == "n") { $checked_NO = " checked"; $b_NO = "<b>"; $b_slash_NO = "</b>"; }
echo "<input type=\"radio\" name=\"seleziona_tariffe$anno_mostra\" value=\"n\"$checked_NO>$b_NO
 ".mex("Permetti l'uso di tutte le <i>tariffe</i> nell'inserimento e modifica delle prenotazioni",$pag)."$b_slash_NO.<br>
<input type=\"radio\" name=\"seleziona_tariffe$anno_mostra\" value=\"s\"$checked_SI>$b_SI
 ".mex("Permetti l'uso solo delle <i>tariffe</i> selezionate nell'inserimento e modifica delle prenotazioni",$pag)."$b_slash_SI:<br>
<table align=\"center\"><tr>";
$colonne_tariffe = 0;
for ($numtariffa = 1 ; $numtariffa <= $numero_tariffe ; $numtariffa++) {
if ($tariffa_selezionata[$numtariffa] == "SI") {$checked = " checked"; $tag_b = "<u>"; $fine_tag_b ="</u>";}
else {$checked = ""; $tag_b = ""; $fine_tag_b ="";}
$tariffa = "tariffa".$numtariffa;
$nometariffa=risul_query($rigatariffe,0,$tariffa);
if ($nometariffa == "") {
$nometariffa = $tariffa;
$nometariffa_vedi = mex("tariffa",$pag).$numtariffa;
} # fine if ($nometariffa == "")
else $nometariffa_vedi = mex("tariffa",$pag)."$numtariffa ($nometariffa)";
echo "<td><input type=\"checkbox\" name=\"tariffa_sel$anno_mostra$numtariffa\" value=\"s\"$checked><font size=\"-1\">$tag_b$nometariffa_vedi$fine_tag_b;</font></td>";
$colonne_tariffe++;
if ($colonne_tariffe >= 2) { echo "</tr><tr>"; $colonne_tariffe = 0; }
} # fine for $numtariffa
echo "</tr></table><br>
<input type=\"hidden\" name=\"numero_tariffe\" value=\"$numero_tariffe\">";

$celle = 1;
$num_colonne = 2;
$dati_ca = dati_costi_agg_ntariffe($tablenometariffe_mostra,"NO");
$costi_agg_consentiti = risul_query($privilegi_anno[$anno_mostra],0,costi_agg_consentiti);
$vett_costi_agg_consentiti = explode(",",$costi_agg_consentiti);
unset($costo_agg_selezionato);
for ($num2 = 1 ; $num2 < count($vett_costi_agg_consentiti) ; $num2++) $costo_agg_selezionato[$vett_costi_agg_consentiti[$num2]] = "SI";
unset($checked_SI);
unset($b_SI);
unset($b_slash_SI);
unset($checked_NO);
unset($b_NO);
unset($b_slash_NO);
if (substr($costi_agg_consentiti,0,1) == "s") { $checked_SI = " checked"; $b_SI = "<b>"; $b_slash_SI = "</b>"; }
if (substr($costi_agg_consentiti,0,1) == "n") { $checked_NO = " checked"; $b_NO = "<b>"; $b_slash_NO = "</b>"; }
echo "<input type=\"radio\" name=\"seleziona_costi_agg$anno_mostra\" value=\"n\"$checked_NO>$b_NO
 ".mex("Permetti l'uso di tutti i <i>costi aggiuntivi</i> nell'inserimento e modifica delle prenotazioni",$pag)."$b_slash_NO.<br>
<input type=\"radio\" name=\"seleziona_costi_agg$anno_mostra\" value=\"s\"$checked_SI>$b_SI
 ".mex("Permetti l'uso solo dei <i>costi aggiuntivi</i> selezionati nell'inserimento e modifica delle prenotazioni",$pag)."$b_slash_SI:<br>
<table align=\"center\"><tr>";
for ($num2 = 0 ; $num2 < $dati_ca[num] ; $num2++) {
$idntariffe = $dati_ca[$num2][id];
$nome_costo = $dati_ca[$num2][nome];
if ($dati_ca[$num2][tipo] == "u") $tipo_costo = "Costo unico";
if ($dati_ca[$num2][tipo] == "s" and $tipo_periodi_mostra == "s") $tipo_costo = "Costo settimanale";
if ($dati_ca[$num2][tipo] == "s" and $tipo_periodi_mostra == "g") $tipo_costo = "Costo giornaliero";
if ($costo_agg_selezionato[($idntariffe)] == "SI") {$checked = " checked"; $tag_b = "<u>"; $fine_tag_b ="</u>";}
else {$checked = ""; $tag_b = ""; $fine_tag_b ="";}
echo "<td><input type=\"checkbox\" name=\"costo_agg_sel$anno_mostra".($idntariffe)."\" value=\"s\"$checked>
<font size=\"-1\">$tag_b".mex("$tipo_costo",$pag)." $nome_costo$fine_tag_b</font></td>";
if ($celle == $num_colonne) {
echo "</tr><tr>";
$celle = 0;
} # fine if ($celle == $num_colonne)
$celle++;
} # fine for $num2
if ($celle != 1) for ($num2 = $celle ; $num2 <= $num_colonne ; $num2++) echo "<td>&nbsp;</td>";
if ($num_costi == 0) echo "<td width=\"250\">&nbsp;</td>";
echo "</tr></table><br>";

$nomi_contratti = esegui_query("select valpersonalizza from $tablepersonalizza where idpersonalizza = 'nomi_contratti'");
$nomi_contratti = risul_query($nomi_contratti,0,valpersonalizza);
$nomi_contratti = explode("#@&",$nomi_contratti);
for ($num2 = 0 ; $num2 < count($nomi_contratti) ; $num2++) {
$dati_nome_contratto = explode("#?&",$nomi_contratti[$num2]);
$nome_contratto[$dati_nome_contratto[0]] = $dati_nome_contratto[1];
} # fine for $num2
$contratti_consentiti = risul_query($privilegi_anno[$anno_mostra],0,contratti_consentiti);
$vett_contratti_consentiti = explode(",",$contratti_consentiti);
unset($contratto_selezionato);
for ($num2 = 1 ; $num2 < count($vett_contratti_consentiti) ; $num2++) $contratto_selezionato[$vett_contratti_consentiti[$num2]] = "SI";
unset($checked_SI);
unset($b_SI);
unset($b_slash_SI);
unset($checked_NO);
unset($b_NO);
unset($b_slash_NO);
if (substr($contratti_consentiti,0,1) == "s") { $checked_SI = " checked"; $b_SI = "<b>"; $b_slash_SI = "</b>"; }
if (substr($contratti_consentiti,0,1) == "n") { $checked_NO = " checked"; $b_NO = "<b>"; $b_slash_NO = "</b>"; }
echo "<input type=\"radio\" name=\"seleziona_contratti$anno_mostra\" value=\"n\"$checked_NO>$b_NO
 ".mex("Permetti la visualizzazione di tutti i <i>contratti</i>",$pag)."$b_slash_NO.<br>
<input type=\"radio\" name=\"seleziona_contratti$anno_mostra\" value=\"s\"$checked_SI>$b_SI
 ".mex("Permetti la visualizzazione solo dei <i>contratti</i> selezionati",$pag)."$b_slash_SI:<br>
<center><table border=1 cellspacing=1 cellpadding=0>";
$num_colonna = 1;
$max_contr = esegui_query("select max(numero) from $tablecontratti where tipo $LIKE 'contr%'");
$max_contr = risul_query($max_contr,0,0);
for ($num_contratto = 1 ; $num_contratto <= $max_contr ; $num_contratto++) {
if ($num_colonna == 1) echo "<tr>";
if ($contratto_selezionato[$num_contratto] == "SI") {$checked = " checked"; $tag_b = "<u>"; $fine_tag_b ="</u>";}
else {$checked = ""; $tag_b = ""; $fine_tag_b ="";}
if ($num_contratto == 1 or $num_contratto == 6 or $num_contratto == 11 or $num_contratto == 16) echo "<tr>";
echo "<td align=\"center\"><input type=\"checkbox\" name=\"contratto_sel$anno_mostra".$num_contratto."\" value=\"s\"$checked>
$tag_b<font size=\"-1\">".mex("contratto",$pag)."$num_contratto</font>";
if ($nome_contratto[$num_contratto]) echo "<font size=\"-2\"> (".$nome_contratto[$num_contratto].")</font>$fine_tag_b</td>";
if ($num_colonna == 5) {
echo "</tr>";
$num_colonna = 1;
} # fine if ($num_colonna == 5)
else $num_colonna++;
} # fine for $num_contratto
if ($num_colonna != 1) {
for ($num2 = $num_colonna ; $num2 <= 5 ; $num2++) echo "<td>&nbsp;</td>";
echo "</tr>";
} # fine if ($num_colonna != 1)
echo "</table></center><br>";

$priv_ins_prenota = risul_query($privilegi_anno[$anno_mostra],0,priv_ins_prenota);
unset($checked_SI);
unset($b_SI);
unset($b_slash_SI);
unset($checked_NO);
unset($b_NO);
unset($b_slash_NO);
if (substr($priv_ins_prenota,0,1) == "s") { $checked_SI = " checked"; $b_SI = "<b>"; $b_slash_SI = "</b>"; }
if (substr($priv_ins_prenota,0,1) == "n") { $checked_NO = " checked"; $b_NO = "<b>"; $b_slash_NO = "</b>"; }
echo "<input type=\"radio\" name=\"inserisci_prenotazioni$anno_mostra\" value=\"n\"$checked_NO>$b_NO
 ".mex("Non permettere l'inserimento di <i>nuove prenotazioni</i>",$pag)."$b_slash_NO.<br>
<input type=\"radio\" name=\"inserisci_prenotazioni$anno_mostra\" value=\"s\"$checked_SI>$b_SI
 ".mex("Permetti l'inserimento di <i>nuove prenotazioni</i> con le seguenti possibilità",$pag)."$b_slash_SI:<br>
<table><tr><td width=\"30\"></td><td>";
unset($checked_SI);
unset($b_SI);
unset($b_slash_SI);
unset($checked_NO);
unset($b_NO);
unset($b_slash_NO);
if (substr($priv_ins_prenota,1,1) == "s") { $checked_SI = " checked"; $b_SI = "<b>"; $b_slash_SI = "</b>"; }
if (substr($priv_ins_prenota,1,1) == "n") { $checked_NO = " checked"; $b_NO = "<b>"; $b_slash_NO = "</b>"; }
echo "".mex("Scelta degli appartamenti da assegnare",$pag).":
 <input type=\"radio\" name=\"ins_assegnazione_app$anno_mostra\" value=\"s\"$checked_SI>$b_SI".mex("Si",$pag)."$b_slash_SI
 <input type=\"radio\" name=\"ins_assegnazione_app$anno_mostra\" value=\"n\"$checked_NO>$b_NO".mex("No",$pag)."$b_slash_NO<br>";
unset($checked_SI);
unset($b_SI);
unset($b_slash_SI);
unset($checked_NO);
unset($b_NO);
unset($b_slash_NO);
if (substr($priv_ins_prenota,2,1) == "s") { $checked_SI = " checked"; $b_SI = "<b>"; $b_slash_SI = "</b>"; }
if (substr($priv_ins_prenota,2,1) == "n") { $checked_NO = " checked"; $b_NO = "<b>"; $b_slash_NO = "</b>"; }
echo "".mex("Possibilità di confermare la prenotazione",$pag).":
 <input type=\"radio\" name=\"ins_conferma_prenota$anno_mostra\" value=\"s\"$checked_SI>$b_SI".mex("Si",$pag)."$b_slash_SI
 <input type=\"radio\" name=\"ins_conferma_prenota$anno_mostra\" value=\"n\"$checked_NO>$b_NO".mex("No",$pag)."$b_slash_NO<br>";
unset($checked_SI);
unset($b_SI);
unset($b_slash_SI);
unset($checked_NO);
unset($b_NO);
unset($b_slash_NO);
if (substr($priv_ins_prenota,3,1) == "s") { $checked_SI = " checked"; $b_SI = "<b>"; $b_slash_SI = "</b>"; }
if (substr($priv_ins_prenota,3,1) == "n") { $checked_NO = " checked"; $b_NO = "<b>"; $b_slash_NO = "</b>"; }
echo "".mex("Possibilità di inserire uno sconto",$pag).":
 <input type=\"radio\" name=\"ins_sconto$anno_mostra\" value=\"s\"$checked_SI>$b_SI".mex("Si",$pag)."$b_slash_SI
 <input type=\"radio\" name=\"ins_sconto$anno_mostra\" value=\"n\"$checked_NO>$b_NO".mex("No",$pag)."$b_slash_NO<br>";
unset($checked_SI);
unset($b_SI);
unset($b_slash_SI);
unset($checked_NO);
unset($b_NO);
unset($b_slash_NO);
if (substr($priv_ins_prenota,4,1) == "s") { $checked_SI = " checked"; $b_SI = "<b>"; $b_slash_SI = "</b>"; }
if (substr($priv_ins_prenota,4,1) == "n") { $checked_NO = " checked"; $b_NO = "<b>"; $b_slash_NO = "</b>"; }
echo "".mex("Possibilità di inserire la caparra",$pag).":
 <input type=\"radio\" name=\"ins_caparra$anno_mostra\" value=\"s\"$checked_SI>$b_SI".mex("Si",$pag)."$b_slash_SI
 <input type=\"radio\" name=\"ins_caparra$anno_mostra\" value=\"n\"$checked_NO>$b_NO".mex("No",$pag)."$b_slash_NO<br>";
unset($checked_SI);
unset($b_SI);
unset($b_slash_SI);
unset($checked_NO);
unset($b_NO);
unset($b_slash_NO);
if (substr($priv_ins_prenota,10,1) == "s") { $checked_SI = " checked"; $b_SI = "<b>"; $b_slash_SI = "</b>"; }
if (substr($priv_ins_prenota,10,1) == "n") { $checked_NO = " checked"; $b_NO = "<b>"; $b_slash_NO = "</b>"; }
echo "".mex("Possibilità di inserire l'orario di entrata",$pag).":
 <input type=\"radio\" name=\"ins_checkin$anno_mostra\" value=\"s\"$checked_SI>$b_SI".mex("Si",$pag)."$b_slash_SI
 <input type=\"radio\" name=\"ins_checkin$anno_mostra\" value=\"n\"$checked_NO>$b_NO".mex("No",$pag)."$b_slash_NO<br>";
unset($checked_SI);
unset($b_SI);
unset($b_slash_SI);
unset($checked_NO);
unset($b_NO);
unset($b_slash_NO);
if (substr($priv_ins_prenota,5,1) == "s") { $checked_SI = " checked"; $b_SI = "<b>"; $b_slash_SI = "</b>"; }
if (substr($priv_ins_prenota,5,1) == "n") { $checked_NO = " checked"; $b_NO = "<b>"; $b_slash_NO = "</b>"; }
echo "".mex("Possibilità di inserire dei costi aggiuntivi",$pag).":
 <input type=\"radio\" name=\"ins_costi_agg_prenota$anno_mostra\" value=\"s\"$checked_SI>$b_SI".mex("Si",$pag)."$b_slash_SI
 <input type=\"radio\" name=\"ins_costi_agg_prenota$anno_mostra\" value=\"n\"$checked_NO>$b_NO".mex("No",$pag)."$b_slash_NO<br>";
unset($checked_SI);
unset($b_SI);
unset($b_slash_SI);
unset($checked_NO);
unset($b_NO);
unset($b_slash_NO);
if (substr($priv_ins_prenota,6,1) == "s") { $checked_SI = " checked"; $b_SI = "<b>"; $b_slash_SI = "</b>"; }
if (substr($priv_ins_prenota,6,1) == "n") { $checked_NO = " checked"; $b_NO = "<b>"; $b_slash_NO = "</b>"; }
echo "".mex("Possibilità di inserire un commento",$pag).":
 <input type=\"radio\" name=\"ins_commento$anno_mostra\" value=\"s\"$checked_SI>$b_SI".mex("Si",$pag)."$b_slash_SI
 <input type=\"radio\" name=\"ins_commento$anno_mostra\" value=\"n\"$checked_NO>$b_NO".mex("No",$pag)."$b_slash_NO<br>";
unset($checked_SI);
unset($b_SI);
unset($b_slash_SI);
unset($checked_NO);
unset($b_NO);
unset($b_slash_NO);
if (substr($priv_ins_prenota,7,1) == "s") { $checked_SI = " checked"; $b_SI = "<b>"; $b_slash_SI = "</b>"; }
if (substr($priv_ins_prenota,7,1) == "n") { $checked_NO = " checked"; $b_NO = "<b>"; $b_slash_NO = "</b>"; }
echo "".mex("Possibilità di inserire il numero di persone",$pag).":
 <input type=\"radio\" name=\"ins_num_persone$anno_mostra\" value=\"s\"$checked_SI>$b_SI".mex("Si",$pag)."$b_slash_SI
 <input type=\"radio\" name=\"ins_num_persone$anno_mostra\" value=\"n\"$checked_NO>$b_NO".mex("No",$pag)."$b_slash_NO<br>";
unset($checked_SI);
unset($b_SI);
unset($b_slash_SI);
unset($checked_NO);
unset($b_NO);
unset($b_slash_NO);
if (substr($priv_ins_prenota,8,1) == "s") { $checked_SI = " checked"; $b_SI = "<b>"; $b_slash_SI = "</b>"; }
if (substr($priv_ins_prenota,8,1) == "n") { $checked_NO = " checked"; $b_NO = "<b>"; $b_slash_NO = "</b>"; }
echo "".mex("Possibilità di inserire prenotazioni anche in periodi già iniziati",$pag).":
 <input type=\"radio\" name=\"ins_passato$anno_mostra\" value=\"s\"$checked_SI>$b_SI".mex("Si",$pag)."$b_slash_SI
 <input type=\"radio\" name=\"ins_passato$anno_mostra\" value=\"n\"$checked_NO>$b_NO".mex("No",$pag)."$b_slash_NO<br>";
unset($checked_SI);
unset($b_SI);
unset($b_slash_SI);
unset($checked_NO);
unset($b_NO);
unset($b_slash_NO);
if (substr($priv_ins_prenota,9,1) == "s") { $checked_SI = " checked"; $b_SI = "<b>"; $b_slash_SI = "</b>"; }
if (substr($priv_ins_prenota,9,1) == "n") { $checked_NO = " checked"; $b_NO = "<b>"; $b_slash_NO = "</b>"; }
echo "".mex("Possibilità di inserire più prenotazioni contemporaneamente",$pag).":
 <input type=\"radio\" name=\"ins_multiple$anno_mostra\" value=\"s\"$checked_SI>$b_SI".mex("Si",$pag)."$b_slash_SI
 <input type=\"radio\" name=\"ins_multiple$anno_mostra\" value=\"n\"$checked_NO>$b_NO".mex("No",$pag)."$b_slash_NO<br>";
echo "</td></tr></table><br>";

$priv_mod_prenota = risul_query($privilegi_anno[$anno_mostra],0,priv_mod_prenota);
unset($checked_SI);
unset($b_SI);
unset($b_slash_SI);
unset($checked_NO);
unset($b_NO);
unset($b_slash_NO);
unset($checked_PR);
unset($b_PR);
unset($b_slash_PR);
if (substr($priv_mod_prenota,0,1) == "s") { $checked_SI = " checked"; $b_SI = "<b>"; $b_slash_SI = "</b>"; }
if (substr($priv_mod_prenota,0,1) == "p") { $checked_PR = " checked"; $b_PR = "<b>"; $b_slash_PR = "</b>"; }
if (substr($priv_mod_prenota,0,1) == "n") { $checked_NO = " checked"; $b_NO = "<b>"; $b_slash_NO = "</b>"; }
echo mex("Prenotazioni che possono essere <i>modificate</i>",$pag).":
 <input type=\"radio\" name=\"modp_prenota$anno_mostra\" value=\"s\"$checked_SI>$b_SI".mex("Tutte",$pag)."$b_slash_SI
 <input type=\"radio\" name=\"modp_prenota$anno_mostra\" value=\"p\"$checked_PR>$b_PR".mex("Solo le proprie",$pag)."$b_slash_PR
 <input type=\"radio\" name=\"modp_prenota$anno_mostra\" value=\"n\"$checked_NO>$b_NO".mex("Nessuna",$pag)."$b_slash_NO<br>
<table cellspacing=0 cellpadding=0><tr><td rowspan=2 width=\"30\"></td><td colspan=2>";
unset($checked_SI);
unset($b_SI);
unset($b_slash_SI);
unset($checked_NO);
unset($b_NO);
unset($b_slash_NO);
if (substr($priv_mod_prenota,1,1) == "s") { $checked_SI = " checked"; $b_SI = "<b>"; $b_slash_SI = "</b>"; }
if (substr($priv_mod_prenota,1,1) == "n") { $checked_NO = " checked"; $b_NO = "<b>"; $b_slash_NO = "</b>"; }
echo "".mex("Possibilità di modificare la data iniziale o finale",$pag).":
 <input type=\"radio\" name=\"modp_date_prenota$anno_mostra\" value=\"s\"$checked_SI>$b_SI".mex("Si",$pag)."$b_slash_SI
 <input type=\"radio\" name=\"modp_date_prenota$anno_mostra\" value=\"n\"$checked_NO>$b_NO".mex("No",$pag)."$b_slash_NO<br>";
unset($checked_SI);
unset($b_SI);
unset($b_slash_SI);
unset($checked_NO);
unset($b_NO);
unset($b_slash_NO);
unset($checked_AS);
unset($b_AS);
unset($b_slash_AS);
if (substr($priv_mod_prenota,2,1) == "s") { $checked_SI = " checked"; $b_SI = "<b>"; $b_slash_SI = "</b>"; }
if (substr($priv_mod_prenota,2,1) == "a") { $checked_AS = " checked"; $b_AS = "<b>"; $b_slash_AS = "</b>"; }
if (substr($priv_mod_prenota,2,1) == "n") { $checked_NO = " checked"; $b_NO = "<b>"; $b_slash_NO = "</b>"; }
echo "".mex("Possibilità di modificare gli appartamenti assegnati",$pag).":
 <input type=\"radio\" name=\"modp_app_prenota$anno_mostra\" value=\"s\"$checked_SI>$b_SI".mex("Si",$pag)."$b_slash_SI
 <input type=\"radio\" name=\"modp_app_prenota$anno_mostra\" value=\"a\"$checked_AS>$b_AS".mex("Solo spostamenti tra quelli già assegnati",$pag)."$b_slash_AS
 <input type=\"radio\" name=\"modp_app_prenota$anno_mostra\" value=\"n\"$checked_NO>$b_NO".mex("No",$pag)."$b_slash_NO<br>";
unset($checked_SI);
unset($b_SI);
unset($b_slash_SI);
unset($checked_NO);
unset($b_NO);
unset($b_slash_NO);
unset($checked_RE);
unset($b_RE);
unset($b_slash_RE);
if (substr($priv_mod_prenota,3,1) == "s") { $checked_SI = " checked"; $b_SI = "<b>"; $b_slash_SI = "</b>"; }
if (substr($priv_mod_prenota,3,1) == "r") { $checked_RE = " checked"; $b_RE = "<b>"; $b_slash_RE = "</b>"; }
if (substr($priv_mod_prenota,3,1) == "n") { $checked_NO = " checked"; $b_NO = "<b>"; $b_slash_NO = "</b>"; }
echo "".mex("Possibilità di modificare la tariffa",$pag).":
 <input type=\"radio\" name=\"modp_tariffa$anno_mostra\" value=\"s\"$checked_SI>$b_SI".mex("Si, con regola 2 a scelta",$pag)."$b_slash_SI
 <input type=\"radio\" name=\"modp_tariffa$anno_mostra\" value=\"r\"$checked_RE>$b_RE".mex("Si, sempre con regola 2",$pag)."$b_slash_RE
 <input type=\"radio\" name=\"modp_tariffa$anno_mostra\" value=\"n\"$checked_NO>$b_NO".mex("No",$pag)."$b_slash_NO<br>";
unset($checked_SI);
unset($b_SI);
unset($b_slash_SI);
unset($checked_NO);
unset($b_NO);
unset($b_slash_NO);
if (substr($priv_mod_prenota,4,1) == "s") { $checked_SI = " checked"; $b_SI = "<b>"; $b_slash_SI = "</b>"; }
if (substr($priv_mod_prenota,4,1) == "n") { $checked_NO = " checked"; $b_NO = "<b>"; $b_slash_NO = "</b>"; }
echo "".mex("Possibilità di modificare il numero delle persone",$pag).":
 <input type=\"radio\" name=\"modp_num_persone$anno_mostra\" value=\"s\"$checked_SI>$b_SI".mex("Si",$pag)."$b_slash_SI
 <input type=\"radio\" name=\"modp_num_persone$anno_mostra\" value=\"n\"$checked_NO>$b_NO".mex("No",$pag)."$b_slash_NO<br>";
unset($checked_SI);
unset($b_SI);
unset($b_slash_SI);
unset($checked_NO);
unset($b_NO);
unset($b_slash_NO);
if (substr($priv_mod_prenota,5,1) == "s") { $checked_SI = " checked"; $b_SI = "<b>"; $b_slash_SI = "</b>"; }
if (substr($priv_mod_prenota,5,1) == "n") { $checked_NO = " checked"; $b_NO = "<b>"; $b_slash_NO = "</b>"; }
echo "".mex("Possibilità di modificare il commento",$pag).":
 <input type=\"radio\" name=\"modp_commento$anno_mostra\" value=\"s\"$checked_SI>$b_SI".mex("Si",$pag)."$b_slash_SI
 <input type=\"radio\" name=\"modp_commento$anno_mostra\" value=\"n\"$checked_NO>$b_NO".mex("No",$pag)."$b_slash_NO<br>";
unset($checked_SI);
unset($b_SI);
unset($b_slash_SI);
unset($checked_NO);
unset($b_NO);
unset($b_slash_NO);
if (substr($priv_mod_prenota,20,1) == "s") { $checked_SI = " checked"; $b_SI = "<b>"; $b_slash_SI = "</b>"; }
if (substr($priv_mod_prenota,20,1) == "n") { $checked_NO = " checked"; $b_NO = "<b>"; $b_slash_NO = "</b>"; }
echo "".mex("Possibilità di modificare l'orario di entrata ed uscita",$pag).":
 <input type=\"radio\" name=\"modp_checkin$anno_mostra\" value=\"s\"$checked_SI>$b_SI".mex("Si",$pag)."$b_slash_SI
 <input type=\"radio\" name=\"modp_checkin$anno_mostra\" value=\"n\"$checked_NO>$b_NO".mex("No",$pag)."$b_slash_NO<br>";
unset($checked_SI);
unset($b_SI);
unset($b_slash_SI);
unset($checked_NO);
unset($b_NO);
unset($b_slash_NO);
if (substr($priv_mod_prenota,6,1) == "s") { $checked_SI = " checked"; $b_SI = "<b>"; $b_slash_SI = "</b>"; }
if (substr($priv_mod_prenota,6,1) == "n") { $checked_NO = " checked"; $b_NO = "<b>"; $b_slash_NO = "</b>"; }
echo "".mex("Possibilità di modificare lo sconto",$pag).":
 <input type=\"radio\" name=\"modp_sconto$anno_mostra\" value=\"s\"$checked_SI>$b_SI".mex("Si",$pag)."$b_slash_SI
 <input type=\"radio\" name=\"modp_sconto$anno_mostra\" value=\"n\"$checked_NO>$b_NO".mex("No",$pag)."$b_slash_NO<br>";
unset($checked_SI);
unset($b_SI);
unset($b_slash_SI);
unset($checked_NO);
unset($b_NO);
unset($b_slash_NO);
if (substr($priv_mod_prenota,7,1) == "s") { $checked_SI = " checked"; $b_SI = "<b>"; $b_slash_SI = "</b>"; }
if (substr($priv_mod_prenota,7,1) == "n") { $checked_NO = " checked"; $b_NO = "<b>"; $b_slash_NO = "</b>"; }
echo "".mex("Possibilità di modificare la caparra",$pag).":
 <input type=\"radio\" name=\"modp_caparra$anno_mostra\" value=\"s\"$checked_SI>$b_SI".mex("Si",$pag)."$b_slash_SI
 <input type=\"radio\" name=\"modp_caparra$anno_mostra\" value=\"n\"$checked_NO>$b_NO".mex("No",$pag)."$b_slash_NO<br>";
unset($checked_SI);
unset($b_SI);
unset($b_slash_SI);
unset($checked_NO);
unset($b_NO);
unset($b_slash_NO);
if (substr($priv_mod_prenota,8,1) == "s") { $checked_SI = " checked"; $b_SI = "<b>"; $b_slash_SI = "</b>"; }
if (substr($priv_mod_prenota,8,1) == "n") { $checked_NO = " checked"; $b_NO = "<b>"; $b_slash_NO = "</b>"; }
echo "".mex("Possibilità di modificare i costi aggiuntivi",$pag).":
 <input type=\"radio\" name=\"modp_costi_agg$anno_mostra\" value=\"s\"$checked_SI>$b_SI".mex("Si",$pag)."$b_slash_SI
 <input type=\"radio\" name=\"modp_costi_agg$anno_mostra\" value=\"n\"$checked_NO>$b_NO".mex("No",$pag)."$b_slash_NO<br>";
#if (substr($priv_mod_prenota,9,1) == "s") { $checked_SI = " checked"; $b_SI = "<b>"; $b_slash_SI = "</b>"; }
#if (substr($priv_mod_prenota,9,1) == "n") { $checked_NO = " checked"; $b_NO = "<b>"; $b_slash_NO = "</b>"; }
#echo "".mex("Possibilità di modificare la conferma",$pag).":
# <input type=\"radio\" name=\"modp_conferma$anno_mostra\" value=\"s\"$checked_SI>$b_SI".mex("Si",$pag)."$b_slash_SI
# <input type=\"radio\" name=\"modp_conferma$anno_mostra\" value=\"n\"$checked_NO>$b_NO".mex("No",$pag)."$b_slash_NO<br>";
unset($checked_SI);
unset($b_SI);
unset($b_slash_SI);
unset($checked_CONF);
unset($b_CONF);
unset($b_slash_CONF);
unset($checked_NO);
unset($b_NO);
unset($b_slash_NO);
if (substr($priv_mod_prenota,10,1) == "s") { $checked_SI = " checked"; $b_SI = "<b>"; $b_slash_SI = "</b>"; }
if (substr($priv_mod_prenota,10,1) == "c") { $checked_CONF = " checked"; $b_CONF = "<b>"; $b_slash_CONF = "</b>"; }
if (substr($priv_mod_prenota,10,1) == "n") { $checked_NO = " checked"; $b_NO = "<b>"; $b_slash_NO = "</b>"; }
echo "".mex("Possibilità di modificare i soldi pagati e la conferma",$pag).":
 <input type=\"radio\" name=\"modp_pagato$anno_mostra\" value=\"s\"$checked_SI>$b_SI".mex("Si",$pag)."$b_slash_SI
 <input type=\"radio\" name=\"modp_pagato$anno_mostra\" value=\"c\"$checked_CONF>$b_CONF".mex("Solo la conferma",$pag)."$b_slash_CONF
 <input type=\"radio\" name=\"modp_pagato$anno_mostra\" value=\"n\"$checked_NO>$b_NO".mex("No",$pag)."$b_slash_NO<br>";
unset($checked_SI);
unset($b_SI);
unset($b_slash_SI);
unset($checked_NO);
unset($b_NO);
unset($b_slash_NO);
if (substr($priv_mod_prenota,11,1) == "s") { $checked_SI = " checked"; $b_SI = "<b>"; $b_slash_SI = "</b>"; }
if (substr($priv_mod_prenota,11,1) == "n") { $checked_NO = " checked"; $b_NO = "<b>"; $b_slash_NO = "</b>"; }
echo "".mex("Possibilità di modificare prenotazioni già iniziate",$pag).":
 <input type=\"radio\" name=\"modp_gia_iniziate$anno_mostra\" value=\"s\"$checked_SI>$b_SI".mex("Si",$pag)."$b_slash_SI
 <input type=\"radio\" name=\"modp_gia_iniziate$anno_mostra\" value=\"n\"$checked_NO>$b_NO".mex("No",$pag)."$b_slash_NO<br>";
unset($checked_SI);
unset($b_SI);
unset($b_slash_SI);
unset($checked_NO);
unset($b_NO);
unset($b_slash_NO);
if (substr($priv_mod_prenota,12,3) != "000") { $checked_SI = " checked"; $b_SI = "<b>"; $b_slash_SI = "</b>"; }
if (substr($priv_mod_prenota,12,3) == "000") { $checked_NO = " checked"; $b_NO = "<b>"; $b_slash_NO = "</b>"; }
echo "".mex("Prenotazioni non più modificabili dopo un certo numero di ore dopo l'inserzione",$pag).":
 <input type=\"radio\" name=\"modp_attiva_ore_mod$anno_mostra\" value=\"s\"$checked_SI>$b_SI".mex("Si",$pag)."$b_slash_SI
 (<input type=\"text\" name=\"modp_num_ore_mod$anno_mostra\" size=\"4\" maxlength=\"3\" value =\"".substr($priv_mod_prenota,12,3)."\">".mex("ore",$pag).")
 <input type=\"radio\" name=\"modp_attiva_ore_mod$anno_mostra\" value=\"n\"$checked_NO>$b_NO".mex("No",$pag)."$b_slash_NO<br>";
unset($checked_SI);
unset($b_SI);
unset($b_slash_SI);
unset($checked_NO);
unset($b_NO);
unset($b_slash_NO);
unset($checked_FU);
unset($b_FU);
unset($b_slash_FU);
if (substr($priv_mod_prenota,18,1) == "s") { $checked_SI = " checked"; $b_SI = "<b>"; $b_slash_SI = "</b>"; }
if (substr($priv_mod_prenota,18,1) == "f") { $checked_FU = " checked"; $b_FU = "<b>"; $b_slash_FU = "</b>"; }
if (substr($priv_mod_prenota,18,1) == "n") { $checked_NO = " checked"; $b_NO = "<b>"; $b_slash_NO = "</b>"; }
echo "</td></tr><tr><td width=\"30\" cellspacing=0 cellpadding=0></td><td>
".mex("Possibilità di cancellare le prenotazioni",$pag).":
 <input type=\"radio\" name=\"modp_canc$anno_mostra\" value=\"s\"$checked_SI>$b_SI".mex("Si",$pag)."$b_slash_SI
 <input type=\"radio\" name=\"modp_canc$anno_mostra\" value=\"f\"$checked_FU>$b_FU".mex("Solo quelle non iniziate",$pag)."$b_slash_FU
 <input type=\"radio\" name=\"modp_canc$anno_mostra\" value=\"n\"$checked_NO>$b_NO".mex("No",$pag)."$b_slash_NO<br>";
unset($checked_SI);
unset($b_SI);
unset($b_slash_SI);
unset($checked_NO);
unset($b_NO);
unset($b_slash_NO);
if (substr($priv_mod_prenota,19,1) == "n") { $checked_SI = " checked"; $b_SI = "<b>"; $b_slash_SI = "</b>"; }
if (substr($priv_mod_prenota,19,1) == "s") { $checked_NO = " checked"; $b_NO = "<b>"; $b_slash_NO = "</b>"; }
echo "".mex("Prenotazioni non più cancellabili dopo essere state confermate",$pag).":
 <input type=\"radio\" name=\"modp_canc_dopo_conf$anno_mostra\" value=\"n\"$checked_SI>$b_SI".mex("Si",$pag)."$b_slash_SI
 <input type=\"radio\" name=\"modp_canc_dopo_conf$anno_mostra\" value=\"s\"$checked_NO>$b_NO".mex("No",$pag)."$b_slash_NO<br>";
unset($checked_SI);
unset($b_SI);
unset($b_slash_SI);
unset($checked_NO);
unset($b_NO);
unset($b_slash_NO);
if (substr($priv_mod_prenota,15,3) != "000") { $checked_SI = " checked"; $b_SI = "<b>"; $b_slash_SI = "</b>"; }
if (substr($priv_mod_prenota,15,3) == "000") { $checked_NO = " checked"; $b_NO = "<b>"; $b_slash_NO = "</b>"; }
echo "".mex("Prenotazioni non più cancellabili dopo un certo numero di ore dopo l'inserzione",$pag).":
 <input type=\"radio\" name=\"modp_attiva_ore_canc$anno_mostra\" value=\"s\"$checked_SI>$b_SI".mex("Si",$pag)."$b_slash_SI
 (<input type=\"text\" name=\"modp_num_ore_canc$anno_mostra\" size=\"4\" maxlength=\"3\" value =\"".substr($priv_mod_prenota,15,3)."\">".mex("ore",$pag).")
 <input type=\"radio\" name=\"modp_attiva_ore_canc$anno_mostra\" value=\"n\"$checked_NO>$b_NO".mex("No",$pag)."$b_slash_NO<br><br>";
echo "</td></tr></table>";

$priv_ins_costi = risul_query($privilegi_anno[$anno_mostra],0,priv_ins_costi);
unset($checked_SI);
unset($b_SI);
unset($b_slash_SI);
unset($checked_NO);
unset($b_NO);
unset($b_slash_NO);
if (substr($priv_ins_costi,0,1) == "s") { $checked_SI = " checked"; $b_SI = "<b>"; $b_slash_SI = "</b>"; }
if (substr($priv_ins_costi,0,1) == "n") { $checked_NO = " checked"; $b_NO = "<b>"; $b_slash_NO = "</b>"; }
echo mex("Possibilità di inserire e cancellare le <i>spese</i>",$pag).":
 <input type=\"radio\" name=\"ins_spese$anno_mostra\" value=\"s\"$checked_SI>$b_SI".mex("Si",$pag)."$b_slash_SI
 <input type=\"radio\" name=\"ins_spese$anno_mostra\" value=\"n\"$checked_NO>$b_NO".mex("No",$pag)."$b_slash_NO<br>";
unset($checked_SI);
unset($b_SI);
unset($b_slash_SI);
unset($checked_NO);
unset($b_NO);
unset($b_slash_NO);
if (substr($priv_ins_costi,1,1) == "s") { $checked_SI = " checked"; $b_SI = "<b>"; $b_slash_SI = "</b>"; }
if (substr($priv_ins_costi,1,1) == "n") { $checked_NO = " checked"; $b_NO = "<b>"; $b_slash_NO = "</b>"; }
echo mex("Possibilità di inserire e cancellare le <i>entrate</i>",$pag).":
 <input type=\"radio\" name=\"ins_entrate$anno_mostra\" value=\"s\"$checked_SI>$b_SI".mex("Si",$pag)."$b_slash_SI
 <input type=\"radio\" name=\"ins_entrate$anno_mostra\" value=\"n\"$checked_NO>$b_NO".mex("No",$pag)."$b_slash_NO<br>";
unset($checked_SI);
unset($b_SI);
unset($b_slash_SI);
unset($checked_NO);
unset($b_NO);
unset($b_slash_NO);
unset($checked_CH);
unset($b_CH);
unset($b_slash_CH);
if (substr($priv_ins_costi,2,1) == "s") { $checked_SI = " checked"; $b_SI = "<b>"; $b_slash_SI = "</b>"; }
if (substr($priv_ins_costi,2,1) == "c") { $checked_CH = " checked"; $b_CH = "<b>"; $b_slash_CH = "</b>"; }
if (substr($priv_ins_costi,2,1) == "n") { $checked_NO = " checked"; $b_NO = "<b>"; $b_slash_NO = "</b>"; }
echo mex("<i>Sottrarre le entrate</i> dal totale delle prenotazioni",$pag).":
 <input type=\"radio\" name=\"sottrai_entrate$anno_mostra\" value=\"s\"$checked_SI>$b_SI".mex("Sempre",$pag)."$b_slash_SI
 <input type=\"radio\" name=\"sottrai_entrate$anno_mostra\" value=\"c\"$checked_CH>$b_CH".mex("A scelta",$pag)."$b_slash_CH
 <input type=\"radio\" name=\"sottrai_entrate$anno_mostra\" value=\"n\"$checked_NO>$b_NO".mex("Mai",$pag)."$b_slash_NO<br>";
unset($checked_SI);
unset($b_SI);
unset($b_slash_SI);
unset($checked_NO);
unset($b_NO);
unset($b_slash_NO);
unset($checked_CH);
unset($b_CH);
unset($b_slash_CH);
if (substr($priv_ins_costi,3,1) == "u") { $checked_SI = " checked"; $b_SI = "<b>"; $b_slash_SI = "</b>"; }
if (substr($priv_ins_costi,3,1) == "c") { $checked_CH = " checked"; $b_CH = "<b>"; $b_slash_CH = "</b>"; }
if (substr($priv_ins_costi,3,1) == "n") { $checked_NO = " checked"; $b_NO = "<b>"; $b_slash_NO = "</b>"; }
echo mex("Immettere come <i>persona</i> che inserisce le spese o le entrate",$pag).":
 <input type=\"radio\" name=\"persona_spese$anno_mostra\" value=\"u\"$checked_SI>$b_SI".mex("Il nome dell'utente",$pag)."$b_slash_SI
 <input type=\"radio\" name=\"persona_spese$anno_mostra\" value=\"c\"$checked_CH>$b_CH".mex("Chiedere",$pag)."$b_slash_CH
 <input type=\"radio\" name=\"persona_spese$anno_mostra\" value=\"n\"$checked_NO>$b_NO".mex("Nessuno",$pag)."$b_slash_NO<br><br>";

$priv_vedi_tab = risul_query($privilegi_anno[$anno_mostra],0,priv_vedi_tab);
unset($checked_SI);
unset($b_SI);
unset($b_slash_SI);
unset($checked_NO);
unset($b_NO);
unset($b_slash_NO);
unset($checked_PR);
unset($b_PR);
unset($b_slash_PR);
if (substr($priv_vedi_tab,0,1) == "s") { $checked_SI = " checked"; $b_SI = "<b>"; $b_slash_SI = "</b>"; }
if (substr($priv_vedi_tab,0,1) == "p") { $checked_PR = " checked"; $b_PR = "<u>"; $b_slash_PR = "</u>"; }
if (substr($priv_vedi_tab,0,1) == "n") { $checked_NO = " checked"; $b_NO = "<b>"; $b_slash_NO = "</b>"; }
echo mex("Possibilità di vedere la <i>tabella dei mesi</i>",$pag).":
 <input type=\"radio\" name=\"vedi_tab_mesi$anno_mostra\" value=\"s\"$checked_SI>$b_SI".mex("Si",$pag)."$b_slash_SI
 <input type=\"radio\" name=\"vedi_tab_mesi$anno_mostra\" value=\"p\"$checked_PR><font size=\"-1\">$b_PR".mex("Solo con prenotazioni proprie e appartamenti consentiti",$pag)."$b_slash_PR</font>
 <input type=\"radio\" name=\"vedi_tab_mesi$anno_mostra\" value=\"n\"$checked_NO>$b_NO".mex("No",$pag)."$b_slash_NO<br>";
unset($checked_SI);
unset($b_SI);
unset($b_slash_SI);
unset($checked_NO);
unset($b_NO);
unset($b_slash_NO);
unset($checked_PR);
unset($b_PR);
unset($b_slash_PR);
if (substr($priv_vedi_tab,1,1) == "s") { $checked_SI = " checked"; $b_SI = "<b>"; $b_slash_SI = "</b>"; }
if (substr($priv_vedi_tab,1,1) == "p") { $checked_PR = " checked"; $b_PR = "<b>"; $b_slash_PR = "</b>"; }
if (substr($priv_vedi_tab,1,1) == "n") { $checked_NO = " checked"; $b_NO = "<b>"; $b_slash_NO = "</b>"; }
echo mex("Possibilità di vedere la <i>tabella con tutte le prenotazioni</i>",$pag).":
 <input type=\"radio\" name=\"vedi_tab_tutte_prenota$anno_mostra\" value=\"s\"$checked_SI>$b_SI".mex("Si",$pag)."$b_slash_SI
 <input type=\"radio\" name=\"vedi_tab_tutte_prenota$anno_mostra\" value=\"p\"$checked_PR>$b_PR".mex("Solo con prenotazioni proprie",$pag)."$b_slash_PR
 <input type=\"radio\" name=\"vedi_tab_tutte_prenota$anno_mostra\" value=\"n\"$checked_NO>$b_NO".mex("No",$pag)."$b_slash_NO<br>";
unset($checked_SI);
unset($b_SI);
unset($b_slash_SI);
unset($checked_NO);
unset($b_NO);
unset($b_slash_NO);
unset($checked_PR);
unset($b_PR);
unset($b_slash_PR);
if (substr($priv_vedi_tab,2,1) == "s") { $checked_SI = " checked"; $b_SI = "<b>"; $b_slash_SI = "</b>"; }
if (substr($priv_vedi_tab,2,1) == "p") { $checked_PR = " checked"; $b_PR = "<b>"; $b_slash_PR = "</b>"; }
if (substr($priv_vedi_tab,2,1) == "n") { $checked_NO = " checked"; $b_NO = "<b>"; $b_slash_NO = "</b>"; }
echo mex("Possibilità di vedere le <i>tabelle con le entrate e le uscite</i>",$pag).":
 <input type=\"radio\" name=\"vedi_tab_costi$anno_mostra\" value=\"s\"$checked_SI>$b_SI".mex("Si",$pag)."$b_slash_SI
 <input type=\"radio\" name=\"vedi_tab_costi$anno_mostra\" value=\"p\"$checked_PR>$b_PR".mex("Solo con entrate/uscite proprie",$pag)."$b_slash_PR
 <input type=\"radio\" name=\"vedi_tab_costi$anno_mostra\" value=\"n\"$checked_NO>$b_NO".mex("No",$pag)."$b_slash_NO<br>";
unset($checked_SI);
unset($b_SI);
unset($b_slash_SI);
unset($checked_NO);
unset($b_NO);
unset($b_slash_NO);
unset($checked_PR);
unset($b_PR);
unset($b_slash_PR);
if (substr($priv_vedi_tab,3,1) == "s") { $checked_SI = " checked"; $b_SI = "<b>"; $b_slash_SI = "</b>"; }
if (substr($priv_vedi_tab,3,1) == "p") { $checked_PR = " checked"; $b_PR = "<b>"; $b_slash_PR = "</b>"; }
if (substr($priv_vedi_tab,3,1) == "n") { $checked_NO = " checked"; $b_NO = "<b>"; $b_slash_NO = "</b>"; }
echo mex("Possibilità di vedere la <i>tabella con i periodi e le tariffe</i>",$pag).":
 <input type=\"radio\" name=\"vedi_tab_tariffe$anno_mostra\" value=\"s\"$checked_SI>$b_SI".mex("Si",$pag)."$b_slash_SI
 <input type=\"radio\" name=\"vedi_tab_tariffe$anno_mostra\" value=\"p\"$checked_PR>$b_PR".mex("Solo con tariffe consentite",$pag)."$b_slash_PR
 <input type=\"radio\" name=\"vedi_tab_tariffe$anno_mostra\" value=\"n\"$checked_NO>$b_NO".mex("No",$pag)."$b_slash_NO<br>";
unset($checked_SI);
unset($b_SI);
unset($b_slash_SI);
unset($checked_NO);
unset($b_NO);
unset($b_slash_NO);
unset($checked_PR);
unset($b_PR);
unset($b_slash_PR);
if (substr($priv_vedi_tab,4,1) == "s") { $checked_SI = " checked"; $b_SI = "<b>"; $b_slash_SI = "</b>"; }
if (substr($priv_vedi_tab,4,1) == "p") { $checked_PR = " checked"; $b_PR = "<b>"; $b_slash_PR = "</b>"; }
if (substr($priv_vedi_tab,4,1) == "n") { $checked_NO = " checked"; $b_NO = "<b>"; $b_slash_NO = "</b>"; }
echo mex("Possibilità di vedere la <i>tabella con le regole di assegnazione</i>",$pag).":
 <input type=\"radio\" name=\"vedi_tab_regole$anno_mostra\" value=\"s\"$checked_SI>$b_SI".mex("Si",$pag)."$b_slash_SI
 <input type=\"radio\" name=\"vedi_tab_regole$anno_mostra\" value=\"p\"$checked_PR>$b_PR".mex("Solo con regole consentite",$pag)."$b_slash_PR
 <input type=\"radio\" name=\"vedi_tab_regole$anno_mostra\" value=\"n\"$checked_NO>$b_NO".mex("No",$pag)."$b_slash_NO<br>";
unset($checked_SI);
unset($b_SI);
unset($b_slash_SI);
unset($checked_NO);
unset($b_NO);
unset($b_slash_NO);
unset($checked_PR);
unset($b_PR);
unset($b_slash_PR);
if (substr($priv_vedi_tab,5,1) == "s") { $checked_SI = " checked"; $b_SI = "<b>"; $b_slash_SI = "</b>"; }
if (substr($priv_vedi_tab,5,1) == "p") { $checked_PR = " checked"; $b_PR = "<u>"; $b_slash_PR = "</u>"; }
if (substr($priv_vedi_tab,5,1) == "n") { $checked_NO = " checked"; $b_NO = "<b>"; $b_slash_NO = "</b>"; }
echo mex("Possibilità di vedere la <i>tabella con gli appartamenti</i>",$pag).":
 <input type=\"radio\" name=\"vedi_tab_appartamenti$anno_mostra\" value=\"s\"$checked_SI>$b_SI".mex("Si",$pag)."$b_slash_SI
 <input type=\"radio\" name=\"vedi_tab_appartamenti$anno_mostra\" value=\"p\"$checked_PR><font size=\"-1\">$b_PR".mex("Solo appartamenti associati a regole consentite",$pag)."$b_slash_PR</font>
 <input type=\"radio\" name=\"vedi_tab_appartamenti$anno_mostra\" value=\"n\"$checked_NO>$b_NO".mex("No",$pag)."$b_slash_NO<br>";


echo "<br><center>
<input class=\"sbutton\" type=\"submit\" name=\"mod_priv\" value=\"".mex("Modifica i privilegi dell'anno",$pag)." $anno_mostra\">
</center></form>";

} # fine else if (numlin_query($privilegi_anno[$anno_mostra]) == 0)
echo "<hr width=\"90%\">";

} # fine for $num1


echo "<br><center>
<form accept-charset=\"utf-8\" method=\"post\" action=\"gestione_utenti.php\">
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input class=\"sbutton\" type=\"submit\" name=\"torna\" value=\"".mex("Torna indietro",$pag)."\">
</form></center>";


} # fine if ($mostra_form_iniziale != "NO")


if ($tema[$id_utente] and $tema[$id_utente] != "base" and @is_dir("./includes/themes/".$tema[$id_utente])) include("./includes/themes/".$tema[$id_utente]."/foot.php");
else include("./includes/foot.php");


} # fine if ($id_utente and $id_utente == 1)



?>
